Photoshop Workflow Setups

Next Page

Book Cover
Photoshop Workflow Setups
By Eddie Tapp
...............................................
Publisher: O'Reilly
Pub Date: August 2006
Print ISBN-10: 0-596-10168-6
Print ISBN-13: 978-0-59-610168-8
Pages: 207

Table of Contents | Index
Overview

Leery of 800-page books that try to teach you everything about digital photography? You should be. Rather than delve into the nuances of efficient workflow, color management, or creating spectacular enhancements, these doorstop volumes tend to gloss over key information in an attempt to cover everything.

Our new book series, Eddie Tapp on Digital Photography, is different. An award-winning photographer, Eddie is acknowledged as one of the premier trainers of digital imaging in the world, a highly sought-after expert who educates many corporations, studios and agencies. In this series, he brings his teaching experience to bear on technical issues in six focused and affordable books on digital photography that offer one topic per volume with answers that are quick to find when you need them most.

The first book, Photoshop Workflow Setups: Eddie Tapp on Digital Photography, offers a step-by-step approach for configuring key areas of Adobe Photoshop CS2 to create an efficient, visually uncluttered workspace. Photoshop has so many different work areas and tools that it can become confusing or even intimidating for digital photographers to use in a production environment-whether you're a serious amateur or a working professional.

This highly-visual, well-designed book presents Photoshop's vast collection of menus, palettes, and tools, showing you not only how they work, but how they should work for you and your specific needs. With his easygoing and authoritative style, Eddie demonstrates how to:

  • Create an efficient workspace by using the "arrange" menu and setting the screen view

  • Become familiar with palettes for layers, channels and paths; history and actions; color, swatches and styles; and more

  • Set preferences for file handling, guides and grids, memory and image cache, and more

  • Customize keyboard shortcuts and menus

  • Work with Adobe Bridge

  • Use Photoshop's selection, painting, graphics, and vector tools, among others

In addition to this title, Eddie Tapp on Digital Photography will also focus on color management; advanced and professional production techniques; controlling digital color and tone; and creative enhancement techniques. We're thrilled that Eddie Tapp has finally agreed to publish books-and with O'Reilly.

Next Page


Table of Contents

Previous Page

Book Cover
Photoshop Workflow Setups
By Eddie Tapp
...............................................
Publisher: O'Reilly
Pub Date: August 2006
Print ISBN-10: 0-596-10168-6
Print ISBN-13: 978-0-59-610168-8
Pages: 207

Table of Contents | Index

Dedication
Acknowledgments
preface Introduction
Chapter 1. Creating Efficient Workspaces in Photoshop
 | Section 1.1. Setting Up an Efficient Workspace
 | Section 1.2. Using the Arrange Menu
 | Section 1.3. Setting Your Screen View
 | Section 1.4. Reading the Status Bar
 | Section 1.5. Configuring Bridge for Efficient Workflow
Chapter 2. Getting Familiar with Palettes
 | Section 2.1. Review of the Key Palettes
 | Section 2.2. Layers, Channels, and Paths Palettes
 | Section 2.3. History and Actions Palettes
 | Section 2.4. Color, Swatches, and Styles Palettes
 | Section 2.5. Navigator, Info, and Histogram Palettes
 | Section 2.6. The Tool Presets Palette
 | Section 2.7. The Brushes Palette
 | Section 2.8. A Few Remaining Key Palettes
Chapter 3. Setting Important Preferences
 | Section 3.1. Preference Directory
 | Section 3.2. General Preferences
 | Section 3.3. File Handling Preferences
 | Section 3.4. Guides and Grids
 | Section 3.5. Scratch Disk and Plug-ins
 | Section 3.6. Memory and Image Cache
 | Section 3.7. Displays, Transparency, and Type
Chapter 4. Customizing Keyboard Shortcuts and Menus
 | Section 4.1. Getting Control
 | Section 4.2. Customizing Keyboard Shortcuts
 | Section 4.3. Summarizing Shortcuts
 | Section 4.4. Customizing Menus
Chapter 5. Working in Bridge
 | Section 5.1. Bridge Panels and Features
 | Section 5.2. Navigating Bridge
 | Section 5.3. Setting Bridge Preferences
 | Section 5.4. XMP Sidecar Files
 | Section 5.5. Workflow Automations and Actions
 | Section 5.6. Rating and Labeling
 | Section 5.7. Using the Slide Show in Bridge
 | Section 5.8. Accessing Camera Raw from Bridge
Chapter 6. Tapping into the Tools
 | Section 6.1. Tips for Tools
 | Section 6.2. Selection Tools
 | Section 6.3. Painting Tools
 | Section 6.4. Graphics Tools
 | Section 6.5. Vector Tools
 | Section 6.6. Methodical Tools
About the Author
Colophon
Index

Previous Page


Dedication

In loving memory of Dean Collinsfriend, advisor, inspiration, and educator


Acknowledgments

Writing my first book has taken forever, it seems. I first want to thank Scott Kelby (the world's best and fastest book writer) for his sincere yet humorous encouragements and Jeff Kelby for his confidence in me to become a Photoshop World Dream Team member.

Heartfelt thanks to Dave Mets, David Sparer, Steve Inglima, and all of the Canon reps who are so encouraging to me in so many ways as an Explorer of Light and Print Master with Canon.

I owe a special debt of gratitude to Kevin Ames, who openly gave me a home when I had none and the means to continue my works and share the learning curve of a digital workflow.

Thanks to all of the models and image contributors who grace this book; their names are within.

Thanks to my editor at O'Reilly, Colleen Wheeler, who totally rocks and is so smart and insightful; her contributions have been instrumental in organizing the subject matter covered in this book, and she has been my teacher in so many ways. My technical editor, Shelia Julian, also brought much-needed clarity to this project, and I thank her for her tenacity. I'd like to thank everyone else at O'Reilly who has helped to bring this book to fruition, especially Steve Weiss for conceptualizing this project series, and recognizing and believing in me.

Thanks to the help and loving support from Andy Hern, Becky and Randy Hufford, Steve Best, Stony Stone, Louise and Joseph Simone, Ken Sklute, Peter Sorenson, Jane Conner Ziser, Lou Freeman, Monte Zucker, and Mark Escher.

How encouraging to be able to learn from so many amazing talents who have influenced my understanding and continue to educate me. Julieanne Kost, Katrin Eismann, Ben Willmore, Jack Davis, Bruce Fraser, Jeff Schewe, Russel Brown, Andrew Rodney, Deke McClelland, Scott Kelby, Jan Kabili, Martin Evening, Jim DiVitalle, Don Emmerich, Seth Resnick, Jack Reznicki, Ed Pierce, John Paul Caponigro and so many more that I have inadvertently omitted.

Thanks to my friends at Software-Cinema who are always encourging to me and who produce my educational DVDs: Linda Collins, Gary Burns, David Burns, and staff.

Thank you to the many helpful friends from the Professional Photographers of America and National Association of Photoshop Professionals, and also a special thanks to Adobe Systems and the many experts who are always willing to share.

A special thanks to Hadi Doucette for her complete encouragement, love, and support as I made a transition to become a book author.

Most respectfully, I want to thank Darryl Cohen for his exceptional guidance and prescience.

Thanks to the most important people in my life, my two wonderful and supportive children, Ian Vaughn Tapp and Ivey Raine Tapp, who fill my life with much love and I am so very proud of. Also, thanks to my loving sister Nancy Hendrix, and especially to my two amazing parents, Max and Mildred Tapp, who have always given me encouragement and have been my greatest support in my life and career. How excited I was to see the image of a rose on the cover of my first book, a flower my Mom grew and that I photographed with a 4x5 view camera over 25 years ago as a Mother's Day gift. Thank you, Mom and Dad, for all your love and support.

Most importantly, I want to thank God for the multitude of love and blessings.


preface Introduction

Introduction

Who Is This Book Written For?

I travel a great deal, teaching a variety of students around the world, and I've found that what they need is straightforward, plain language that teaches them the things they need to solve their own problems. In this book, I hope to help solve digital imaging and processing problems by showing you step-by-step production techniques that are easy to understand. Photoshop is a powerful tool, and there are ways to set up your workspace that will help you work more efficiently and happily.

I don't want you to have to buy a doorstop book to find the key info you need. This series, Eddie Tapp on Digital Photography, is designed to drill down to give you specific information you need on subjects like advanced production techniques, color management, controlling digital color and tone, and making creative enhancements.

This first book in the series, Photoshop Workflow Setups, presents the key areas of Photoshop that you can configure for an efficient, visually uncluttered workspace. Menus, palettes, tools, and general work areas are presented with a lot of visual detail, showing you not only how these Photoshop features work, but how they should work for you and your specific needs. Any Photoshop book can tell you how the tools work, but after years of work with corporations, studios and agencies, and thousands of Photoshop students, my desire is to show you how they can best work for you.

Conventions

This book was written based on Photoshop CS2, although many of the tools have looked the same for a few versions now. Of course, certain features, such as Adobe Bridge (Chapter 5), are intended specifically to address workflow needs in CS2.

This book is intended for both Mac and Windows users. Most of the tools and menus in Photoshop work about the same on either platform. I'll call attention to those few specific differences, but in general, to accomodate both Mac and Windows readers, shortcuts are listed like this: Cmd/Ctrl + Opt/Alt + X, where the Mac button is listed first in each set of alternate buttons. By this point, most Mac users know that they should Ctrl + click to bring up contextual menus if they are not using a two-button mouse.

Safari® Enabled

When you see a Safari® Enabled icon on the cover of your favorite technology book, that means it's available online through the O'Reilly Network Safari Bookshelf.

Safari offers a solution that's better than e-books. It's a virtual library that lets you easily search thousands of top tech books, cut and paste code samples, download chapters, and find quick answers when you need the most accurate, current information. Try it for free at http://safari.oreilly.com.

Comments and Questions

Please address comments and questions concerning this book to the publisher:

O'Reilly Media, Inc.

1005 Gravenstein Highway North

Sebastopol, CA 95472

800-998-9938 (in the United States or Canada)

707-829-0515 (international or local)

707-829-0104 (fax)

We'll list errata, examples, and any additional information at:

http://www.oreilly.com/catalog/photoworkflow/

To comment or ask technical questions about this book, send email to:

bookquestions@oreilly.com

For more information about our books, conferences, Resource Centers, and the O'Reilly Network, see our web site at:

http://www.oreilly.com


Chapter 1. Creating Efficient Workspaces in Photoshop

Photoshop has so many different work areas and tools that it can become confusing, or even intimidating, to use it in a production environment. Fact is, there are only three particular zones or areas that you really need to become familiar with: tools, menus, and palettes. In this first chapter, I'll cover how to set up the general Photoshop workspace. Setting up your workspace for efficient production will create a more pleasing experience, allowing you to focus on the main objective: getting your work done.


Section 1.1. Setting Up an Efficient Workspace

1.1. Setting Up an Efficient Workspace

Over time, you'll develop a workflow that is comfortable for you. Different people have different workspace needs, depending on their experience with Photoshop and the type of work they are doing. In this first section, I'll show you some ways to tailor your basic workspace to achieve the greatest possible efficiency and comfort.

Creating your own efficient production environment will take just a little experimenting. It's kind of like learning how to use to a Wacom tablet: you have to put away the mouse for a few hours, but once you become comfortable with the tablet, it creates a more productive experience.

Most of the time, my physical office is pretty well organized. OK, sometimes it appears to be organized chaos. But the fact is, it's fairly well constructed for productive work. When I'm working in Photoshop, retouching or creating montages, setting up the working environment for production is actually much easier than it is in my physical office. Because it's so important to focus on the task at hand when you're working in Photoshop, I've designed the following methods to eliminate what I call "visual confusion"the state of having too many things to look at when I'm working in Photoshop.

1.1.1. Personalizing Your Window Setups

The typical or default window setup in Photoshop (Windows > Workspace > Default Window) is handy, in that it shows you many of the palettes that you'll eventually use. Unfortunately, having all of those windows open all the time during production can take up too much real estate on the monitor. It can be a little frustrating trying to find the window you need hidden behind another window, or even inadvertently trying to create a new layer in the History or Channel palette instead of the Layers palette.

The "Docking Well" (as nicknamed by Adobe guru Julieanne Kost), located in the upper-righthand corner of the Options bar, is officially known as the Palette Well. It is a real lifesaver, as you can arrange and position your most active palettes here, clearing them from your monitor, and then bring specific palettes out to your work area as you need them for a particular project or type of workflow. When you're finished with that project, you can easily send the palettes back to the Palette Well for the next assignment.

Let's take a look at a simple and clean, but powerful, window workflow setup. When you're finished with this setup, you'll have only a few windows on the screen work area, the palettes used most often will be positioned in the Palette Well, and this setup will be saved as a starting or primary workspace. Then, you'll configure various custom window workspaces for different types of image processing.

1.1.2. The Basic Workspace

Starting with the Palette Well on the right side of the Options bar, bring out the resident palettes. Click and drag the tab that bears the name of each palette to move the window onto the screen work area.

Next, clear these windows from the screen by clicking the red button (Mac) or red X (Windows). The default palettes include Layer Comps, Tool Presets, Brushes, Color, Swatches, and Styles.

At this point, you need to decide which will be your primary working palettes. For my basic workflow, I use Channels, Layers, Actions, History, Histogram, Info, and Paths. Except for the Histogram and Info palettes (whch I want on my screen almost all the time), I move the remaining palettes to the Palette Well. Then, I dock the Histogram and Info window together and position them in the bottom-lefthand corner. You can collapse a palette by double-clicking on the forward tab that bears its name.

Tip: You can move a palette to the Palette Well by either selecting the tab that bears its name and dragging the tab to the Well (look for a black outline around the Palette Well, then drop 'em in) or selecting "Dock to Palette Well" from the fly-out menu. Docking the Info and Histogram palettes together works the same way: move the Info tab onto the Histogram tab, look for the black outline, and then let go of the mouse to dock.

The length of the Palette Well is controlled by your monitor resolution settings. To make a longer Palette Well, increase the resolution of your monitor.

On the Mac, open System Preferences and select Displays. Here, you can change the monitor resolution. On the PC, right-click on the desktop to bring up the Display Properties option, click on the Settings tab, and then use the slider to set your monitor resolution.

Tip: Setting a higher resolution will make your disk icons smaller.

Once you have set up the primary window workspace, you can save it by selecting Window > Workspace > Save Workspace and entering a name. You can now access (or even delete) any saved workspace under the Window > Workspace menu directory. Once you have selected a workspace and quit Photoshop, the same workspace will automatically be in place the next time you open Photoshop.

Tip: You might notice that when you save your workspace, there are options for Keyboard Shortcuts and Menus in the dialog box. We'll cover these settings in Chapter 4, so let's hold off on exploring these other options for now and instead look at other cool features in our primary working environment.

You can access the Tool Presets palette quickly from the upper-lefthand corner of the Options bar. Also, the Brush palette is always available by clicking on the Brush palette icon in the Options bar anytime you're using a tool that uses a brush.

1.1.3. Alternate Workspaces for Specific Types of Work

You can use the Save Workspace command to save workspace environments for specific types of projects, such as Masking, Retouching, or Color and Tonal corrections.

For Masking, bring out the Channels, Layers, Paths, and History palettes; dock the Layers with Paths, and the Channels with History; and save this as your Masking Workspace.

For what I like to call the "Back To The Future" History techniques, all you'll need is the History palette. Save this as your BTF Workspace.

Retouching should include the Layers and Actions palettes. Finally, for Color Control, you'll use the Histogram and Info window in the upper-righthand corner, along with the Layers palette for creating Adjustment Layers and the Channels palette (docked with Layers).

Tip: Arrange your palettes on your monitor in a way that is most comfortable for your working environment. If you have dual monitors, it is certainly possible to use the second monitor just for the palettes. However, if you're processing multiple images and working from Bridge, you might find that it works better to use the second monitor for the Bridge window.


Section 1.2. Using the Arrange Menu

1.2. Using the Arrange Menu

With projects that require multiple images open at the same time (for creating montages, coordinating and matching color, or a host of other workflow situations), arranging the windows efficiently sure makes it faster to select the right image and get to work on it.

1.2.1. Cascade or Tile

For some projects, I may have as many as 20 images open at once, so obviously I need a handy way to arrange them in the window. Here you can see them stacked on top of one another with a slight offset, which is achieved by choosing Window > Arrange > Cascade. You can also tile the windows (as in the image below) by choosing Window > Arrange > Tile Horizontally or Tile Vertically.

1.2.2. Match Zoom and Location

Once you have your images tiled, you can set a whole batch of images to the same zoom level or same geographical place on the image all at once. Select Window > Arrange > Match Zoom, Match Location, or Match Zoom and Location. Photoshop will match the Zoom and/or Location of all the images to that of the active window. The Match Zoom and Location option is pretty awesome when you have multiple images open that are of the same size and subject matter. This is especially helpful in cases such as creating a head or eye swap; you can quickly see which image would work best as your target image.

1.2.3. Using Windows Efficiently

Unless you've selected another image window, the active image window will generally be the last image in the Tile, and, as noted, it will be the matched image when you select Match Zoom, etc. The active image will show the window's button colors at the top of the image, whereas the inactive images will be grayed back. Click on any image to bring to front or make it active.

Once all the windows are arranged and you've selected your Match option, you can zoom all windows the same amount at the same time. Hold down the Shift key in combination with these standard zoom commands:

  • Zoom Out: Opt/Alt + spacebar + click the active image to zoom out

  • Zoom In: Cmd/Ctrl + spacebar + click the active image

Or you can select the Zoom tool and use it as desired on the active window.

Tip: Remember, you need to hold the Shift key for these commands to work on all the images simultaneously.

1.2.4. Using the New Window Command for Detail Work

Photoshop will open a second window of your active image when you select Window > Arrange > New Window for ActiveImage (the actual name of your active image will appear in the menu). This is an especially fabulous feature for advanced retouching, such as eye enhancement, or any type of work where you might need to zoom up to, say, 400% or closer for accurate pixel enhancements. This procedure allows you to see your image at various zoom ratios at the same time.

First, set your active image to the full-screen mode (type the "F" key) and zoom to 100% ratio. Hold down the spacebar to access the Hand tool, and position your image to see an important area near the top of the screen. Now select Window > Arrange > New Window, and you'll get a second window that can be positioned so you can zoom in very close and see both the zoom window and the 100% window as you make corrections. With this image of Charlie, I've positioned her eyes at the top lefthand corner with the 100% view and then resized and positioned the zoom for eye enhancement.

Say you were creating a brush stroke on the close-up window; once you let go of the mouse, you'd see the results instantly in the 100% window. This is especially helpful to make sure your retouching efforts look good at the 100% zoom ratio, which is a good indication of how the image will look when it's printed.


Section 1.3. Setting Your Screen View

1.3. Setting Your Screen View

At the bottom of the Tools palette, there are three little icons that allow you to change your screen view from Standard to Full Screen or Full Screen with Menu Bar. Each option has workflow advantages.

The first button icon at the bottom of the Tools palette gives you Standard Screen Mode. The middle icon takes you to the Full Screen Mode with Menu Bar, which gives you a gray background (the color is changeable). The right icon takes you to a Full Screen Mode with no menu bar, which has a black background (also changeable).

Tip: Typing the letter "F" toggles between these screen mode options.

The Full Screen Mode with Menu Bar is practically an automatic choice for me. As soon as an image comes up on the screen, I type the "F" key, and then set my window workspace as appropriate. Then, I'm ready to go right to work. When it's time to navigate to various parts of the image, I hold down the spacebar to access the Hand tool, and then click and drag to navigate to a different part of the image. This is fast and very comfortable to use. The Full Screen Mode with Menu Bar also hides any other images that might be open, and if you're on a Mac, it hides the desktop, which helps reduce visual confusion in your work area.

The Full Screen Mode, shown here with the default black background, removes the Menu Bar (and the Dock on a Mac if it's usually visible). If you then type the Tab key, it'll hide everything else, including the Options bar. By viewing images this way, you can get a quick idea of how the image actually looks in a presentation style.

Let's say you're working on an image, and your client is there and wants to see the progress. Press the "F" key, then the Tab key, and center the image with Cmd/Ctrl + 0, and your client can view the image with no clutter or visual confusion.

With either full-screen mode, you can actually change the background color. To do this, first select the color you want for the background by using the Color palette, or create a custom color in the Color Picker. Make sure your new color is the foreground color in the Tools palette. Then, select the Paint Bucket tool (located with the Gradient tool), hold down the Shift key, and simply click on the full-screen background.


Section 1.4. Reading the Status Bar

1.4. Reading the Status Bar

Next, let's toggle to the Image Window mode (type the "F" key) and select which information option we want to see in the status bar. In this section, we'll take a look at the various options and the information they provide.

By selecting the little triangle on the right of the status bar and then scrolling down to Show, you can see the information options available: Version Cue, Document Sizes, Document Profile, Document Dimensions, Scratch Sizes, Efficiency, Timing, Current Tool, 32-bit Exposure, and Reveal in Bridge (the 32-bit Exposure option appears only with a 32-bit image).

Version Cue

Displays the Version Cue workgroup status of your image, such as Open, Unmanaged, or Unsaved. This option is available only if you have Version Cue enabled.

Document Sizes

Shows the flattened and working file size of your image. The number on the left shows the final image's size with no layers or alpha channels. The number on the right indicates the current working file size, including layers and channels.

Document Profile

Shows the color profile that is embedded in the image. If there is no profile, it will read "Untagged RGB," or gray, or CMYK, and so on. Adobe RGB (1998), shown here, is usually the option I have set in my status bar, as I work in a color-managed workflow.

Document Dimensions

Shows the dimensions of your image in inches or pixels, depending on how you've set up your preferences in Units & Rulers (see Chapter 3), as well as your pixel per inch (ppi) setting.

Scratch Sizes

Shows how much RAM is being used by all open image files (the first number), along with how much scratch disk is available to process the images (the second number).

Efficiency

Displays the operational efficiency of performing an operation. If the value is below 100%, Photoshop is using the scratch disk, which slows down the operating performance for certain tasks, such as filtering a large file.

Timing

Shows the actual time it took to complete the last operation (in this example, applying a filter).

Current Tool

Names the tool that is currently selected.

32-bit Exposure

Gives you a slider that you can use to view your exposure options for a 32-bit image. Your image must be in the 32-bit-per-channel mode known as HDR (High Dynamic Range) to enable the slider option.

Reveal in Bridge

Opens Adobe Bridge to the directory where the image is located and highlights the image preview for you. Even if the Bridge is closed, selecting this option will automatically open Adobe Bridge and reveal the image preview.

Click anywhere on the status bar in the file information area to see a thumbnail preview of how your image file will be printed with the current page setup and image size. This illustration shows how a 6 x 9 image will fit on an 8.5 x 11 page.

Tip: When you choose a status category, this becomes the default for all subsequent images until you change the status again.


Section 1.5. Configuring Bridge for Efficient Workflow

1.5. Configuring Bridge for Efficient Workflow

Setting up your window workspaces in Adobe Bridge is just as easy as it is in Photoshop. Even better, you might find at the outset that some of the default window settings are just right for a variety of workflow needs. In Chapter 5, we'll look at many of the awesome features of Adobe Bridge. For now, we'll look at the basic Window Workspaces and some cool options you can use while working in Bridge.

Let's start out by reviewing the windowpane structure of Bridge. Naturally, we have the Lightbox area, which displays thumbnails and serves as a place to quickly resize the thumbnail views, using the slider at the bottom right of the window.

Tip: The image to the left is the default Thumbnail view option. The different View options in Bridge are discussed in the following pages.

The Favorites panel has preset icons that give you instant access to certain often-used folders and customized areas, such as Adobe Stock Photos and Version Cue (if you are using Version Cue), and an icon to switch directly into Photoshop. As you're navigating to various folders or directories, you can drag folders or drive icons to the Drag Favorites Here... area and have instant access to these items.

In the lower-lefthand corner, you'll see a window with tabs for accessing different panels. The Folders panel allows fast navigation to any directory, folder, or hard drive via the familiar folder hierarchy.

The Metadata panel has a File Properties area, which shows the same information as in the As Details view, along with the Camera Data (Exif) area, which shows specific information about the camera settings. It also has the IPTC Core section, which includes areas where you can type in important additional information about the file(s).

When you navigate to a folder, you may notice a little spinning circle at the bottom-lefthand corner, especially if you have RAW files; this means Bridge is caching the data for thumbnail views. Once the cache is written, the spinning circle will stop, and you're free to work in real timepreviewing, running slide shows, and fast window resizing with all the images in the folder.

The four presaved Window Workspaces from the Window > Workspaces menu include Lightbox, File Navigator, Metadata Focus, and Filmstrip Focus. I use all of these at certain times. While these presaved Window Workspaces are quite usable in any workflow, chances are you will create custom workspaces in Bridge that will increase your productivity for various workflow solutions. You can save these custom workspaces using the menu Window > Workspaces > Save Workspace.

You can use the view icons at the bottom-righthand corner of the Bridge window, to select view options, or you can access them from View > As Thumbnails (or As Filmstrip, etc.).

Tip: The Show/Hide Panels button [image] at the bottom left of the Bridge window hides/shows all panels except for the Lightbox.

In the Filmstrip view, you'll find a switch button in the bottom-righthand corner. Click once on the button to position the thumbnails on the right side or at the bottom of the window. Use the arrows next to the switch button to scroll through images.

Selecting the As Details or "Versions and Alternates" views shows important metadata information about each file, such as date creation, date modified, camera settings, and resolution.

Finally, there is the sizeable Preview panel that will preview a selected image file along with the filename.

In the Keywords panel, you can assign keywords to a single image or multiple images by clicking the checkbox to the left of the keyword. You can create your own keywords and keyword sets using the New Keyword Set or New Keyword icons, located at the bottom right of the panel.

Tip: All of the window panels are resizeable; just select the edge of the frame and relocate it.

On the Mac, the Bridge menu bar is located at the top of the screen; on the PC, the menu bar is located at the top of the Bridge window.

Other navigation features include the "Go up" button [image], which will take you back up to the previous folder or drive. The left and right arrows [image] allow you to "Go back" and "Go forward" to other folders that you've been to during your work session, without having to use the Folders panel. The pull-down folder icon gives you fast access to your folder hierarchy, Favorites, and Recent Folders.

If you multitask in your work sessions like I do, you'll love the ability to create additional Bridge windows and have instant access to multiple folders at the same time. In the File menu, select New Window; this will duplicate your current Bridge window, and you can then navigate to a different folder. You can have as many Bridge windows as you might need open all at the same time.

In the upper-righthand corner of the Bridge window, you'll find a "Switch to Compact Mode" view button. This creates a compact view of your Bridge window, which then becomes a floating window that will remain on top of your workspace, regardless of which program you might be working in.

Once you're in the compact view, you can then "Switch to Ultra-Compact Mode" and, by selecting the Ultra icon [image], expand and collapse the compact view as needed while you're in the compact view mode.

At any time, you can switch to Full Mode by selecting the Full Mode icon.

Tip: While working in a program such as InDesign, you can expand the compact view, select an image to place, and simply drag the image onto the layout rather than using the Place command. This is a wonderful workflow feature of Bridge.


Chapter 2. Getting Familiar with Palettes

The second of the three major zones in Photoshop comprises the palettes that you'll use for so many functions. In this chapter, we'll get familiar with some of the key options, preferences, and fly-out menu features of these palettes. In addition, establishing the best use of what I call the Key palettes will give Photoshop a new face of familiarity.


Section 2.1. Review of the Key Palettes

2.1. Review of the Key Palettes

Your Key palettes will include whichever palettes you determine work best in your refined workflow, or the ones you find yourself using over and over again. In this section, I've identified those that you are likely to use most often.

In the previous chapter, you learned how to establish Window Workspaces that include specific palettes and where to put those palettes for use during a particular work session. In this chapter, we'll learn about which tools these palettes control.

Key palettes in Photoshop include Layers, Channels, Actions, History, Histogram, Color, Styles, Paths, and the Info window. Some of these are preassigned with a function key that you can type to show or hide the palette. (You can see the preassigned ones in the menu shown here.) Personally, I never use the function keys to access a palette window, because I want to reserve them for important workflow actions. (If you create an action and set a function key to play the action, it will override the preassigned function key for that palette.)

Tip: You'll find the palettes listed under a menu called Window. But for the sake of avoiding confusion, we'll stick with the term "palette" here.

2.1.1. Tools Connected to Palettes

Kind of like how your hip bone is connected to your leg bone, some palettes are directly connected to certain tools.

For instance, such is the case with the Info palette, which has a direct link to the Eyedropper and Color Sampler tools, but also displays readings anytime your cursor is hovering over your image, no matter which tool is selected. The Info palette will pop up automatically when you're using the Color Sampler tool if the palette is not already on the screen.

In another example, the Paths palette shows paths created with the Pen tool, Custom Shape tool, vector paths, or even selections that you've created and then saved as vector paths.

The Brushes palette is always available as a constantly visible window, but there is also a Brushes palette icon next to the Palette Well in the Options bar that appears when you select any tool that uses the Brushes palette. These include the Brush, Eraser, History Brush, Burn, Dodge, Smudge, and Clone Stamp tools. This icon is a convenient way to bring up the Brushes palette when you need to edit your brush settings.

The Paragraph and Character palettes are connected to the Type tool and offer advanced options in conjunction with the Options bar.

And, naturally, the Tools palette houses the amazing tools available in Photoshop.

With the exception of the Options bar and Tools palette, each palette has what I call a sub-menu (Adobe calls them fly-out menus), accessed by clicking the little circled triangle in the upper-righthand corner of each palette window. By selecting the sub-menu, you can take advantage of additional options, including establishing the preferences for how some palettes are displayed, saving and loading various options, and many other advanced uses.

It isn't important to understand every single option in every palette all at once. What is important is learning this information one step at a time, finding the option or settings that are important to your workflow, and then building from there. Getting used to all these options with all these palettes, tools, and menu items can be a little overwhelming. There are, however, certain palettes that you do need to have a strong grasp of. In the following sections, we'll look at these Key palettes, their sub-menus, and some of the important options, preferences, and features they offer in a workflow.

Tip: Look for this symbol [image] when you're changing a numeric field. This indicates that rather than using the slider controls, you can use something called a Scrubby Slider. To see the Scrubby symbol, put your cursor over a field or name in the window (for example, Opacity:), and then hold down the Cmd/Ctrl key and move your mouse left and right to change the data.


Section 2.2. Layers, Channels, and Paths Palettes

2.2. Layers, Channels, and Paths Palettes

The Layers, Channels, and Paths palettes offer an amazing assortment of controls and options in any digital workflow. This section will help you take advantage of the basic features, advanced options, and variety of controls contained in these palettes.

2.2.1. The Layers Palette

Layers is the most usable palette of them all and is certainly one of the Key palettes. In particular, you'll want to become more familiar with the blending options, menu features, and the icons at the bottom of the palette.

In the initial Layers palette, you'll see the Background layer. The Background is in italic text, indicating that it is not a full-fledged layer at all, but a Background layer. A "real" layer has blending options, such as Opacity, whereas the Background layer does not have these options.

Tip: Of course, you can easily convert a Background to a layer by double-clicking on the word "Background" in the Layers palette and selecting OK. (By doing this, you'll convert your Background to a layer and no longer have a Background unless you flatten your layers after your work session.)

The Layers palette is the one palette that has its own menu options in the Photoshop menu bar. This menu is similar to the fly-out menu, but the main menu options have additional controls for content, layer style, rasterizing, alignment, and matting.

Tip: When you have a layer in the Layers palette, you then have access to blending controls such as opacity and blending modes.

From the fly-out menu, you can select Palette Options (found at the bottom of the list). Here you can set your Layer Thumbnail Size, have the Layers palette show the Entire Document or Layer Bounds, and create masks automatically by default when creating an Adjustment Layer.

Once you have a layer (in this case I've duplicated the Background and then added a Layer Mask to the layer by clicking the "Add a Mask" button [image]), you'll notice a thin black dashed frame around the Layer Thumbnail on the left and a black dashed frame around the Layer Mask Thumbnail on the right. The black frame indicates which part of the Layer we're on. If you want to make changes to the Layer Mask, you must first select the Layer Mask Thumbnail icon, and then, if you want to make adjustments to the image, click on the Layer Thumbnail. Also notice there is a link between the image and mask. Clicking this link will unlink the mask and image, allowing you to reposition the mask or image separately; if there is no link, clicking in the same area will relink the image and mask.

Just below the Blending Mode pull-down menu are locking options for layers. The first icon locks the ability to paint on the transparent part of the layer, the second icon prevents you from painting on any part of the layer, the third icon prevents you from moving any of the pixels, and the fourth icon locks all of these features.

Located at the bottom of the Layers palette are quick links to options in the main or sub-menu. One option is linking multiple layers. Select one layer, and by holding down Cmd/Ctrl, select some additional layers. Then, select the "Link layers" icon to link the layers. Note that you can also select an entire row of layers by selecting the first layer in the row and then Shift-clicking on the last layer.

Select the "Add a layer style" icon [image], and this will bring up the Layer Style dialog box. (You can also double-click on the layer thumbnail to bring up this dialog.) Here you can add Drop Shadows, Glows, Bevel and Emboss, and Emboss effects, and apply many other options, including Advanced Blending Mode options. You can also save your style creations by selecting the New Style button; this will save your combined style to the Styles palette, which allows you to click and drag a style to any layer for instant Layer Style effects.

Tip: Layer Styles work only on layers, not the Background. The Blend Mode, Fill, and Opacity options are also controllable from the Layer palette. Once you create or dupe a layer, you can add a Layer Mask. This is especially helpful for blending one layer into another. Once you have a Layer Mask, you can select the icon once again to add a Vector Mask, which allows you to use the Pen tool to control the placement of the layer mask.
2.2.1.1. Adjustment Layers

Adjustment Layers [image] are some of the most powerful features in the Layers palette, allowing you to create various adjustments for color and tone on a layer rather than permanently changing the pixel data. This is a tremendous advantage when you're not absolutely sure of the type of change or adjustment you want to make to an image. Using adjustment layers, you can trash the adjustments that you don't like, double-click on them to make changes, and, if you like the adjustments, you can save the file with the adjustment layers or flatten the image and then save the file.

Create a new group by selecting the icon that looks like a folder [image]. You can then put any layers in this group. You can rename the group by double-clicking on its name ("Group 1", and so on). If you select multiple layers, type Cmd/Ctrl-Shift, and click the Create New Group icon, all of the selected layers will go into the new group. It is also possible to have groups inside of groups inside of groups if you have a file that has a ton of layers you need to manage.

Create a new layer by selecting this icon [image]; alternatively, you can use the main or fly-out Menu. Also, you can drag a layer or the Background layer to this icon in the Layers palette to duplicate that layer. Holding the Cmd/Ctrl key while selecting this icon will create your new layer below your current layer.

To delete a layer, drag it to the Delete layer (trash can) icon [image], or select multiple layers and then click on the icon.

Tip: From the Layers palette's sub-menu (or even from the main menu), you can create Smart Objects, a very intelligent way of managing layers for composites and other functions. It's possible to color-code your layers for quick reference (I use color codes to show what's finished or what needs additional work) by using the Layer Properties option, which can also be set up in an Action. In later books in this series, I'll cover how to take advantage of many of these Layer palette features and options.

On the left side of the layer thumbnails, you'll see the Visibility Icon [image]. Click on this icon to hide or show its layer or layer group.

To change the layer order, select the layer you want to reposition and drag it up or down to the location where you want it. When you see a black line appear, let go of the mouse and the layer will drop right into place.

If you use the Animation feature in Photoshop, once you bring out the Animation palette, the Layer palette will add the Unify options for Animation.

2.2.2. The Channels Palette

Think of channels as the base of your image. You can put multiple elements, images, and graphics on various layers or layer groups, but the bottom line is channels. The Channels palette is where all of the layers are based (kind of like the acetate base of film).

For those who know film, you'll recall that it has a base (clear acetate surface) and multiple layers of dye, which might include cyan, yellow, and magenta. In the early days of film color reproduction, you would shoot an item using three sheets of black-and-white film, shooting one with a red filter, another with a green filter, and another with a blue filter. This rendered various brightness levels for each color that could then be assigned to color ink when going to press, resulting in a color image.

It's helpful to think of channels in the same way. Looking at the Channels palette, an RGB image has a base with red, green, and blue channels of information making up the image as shown in the RGB composite channel.

Each Photoshop channel represents brightness levels as well. In an 8-bit RGB file, each channel has potentially 256 brightness levels of information or tone to process.

In any color image, there are two primary elements of information you have to control: chrominance and luminance, better known as color and tone (or brightness). (In a grayscale image, there is only a single luminance channel.)

In the Channels palette fly-out menu, there are four initial options available. You can create a New Channel (which will become an Alpha channel). You can make a New Spot Channel (which is used for the printing press, perhaps adding gloss to a particular area). You can Split Channels, which creates individual files from your channels, such as individual Red, Green, and Blue files (this is an option only when you have flattened layers). And you can access Palette Options. (Other Channel options become available once you have Alpha channels.)

The only Palette Options for the Channels palette are settings for the Thumbnail Size. I normally use the smaller thumbnail, but for this book I'll use the large thumbnail (if your monitor resolution is set high, the larger thumbnail view is a great option).

Tip: It's good idea to have the thumbnail size in the Channels, History, and Layer palettes vary so they take on a distinct look in your work area when you're using all three palettes at the same time.
2.2.2.1. Image modes

By selecting Image > Mode from the main menu, you can change the actual mode of the image that will be reflected in the Channels palette. From RGB, you can convert the mode to Grayscale, Indexed Color, CMYK Color, Lab Color, and Multichannel, and you can also convert the 8-bit file to a 16-bit/channel file. (You might do this to protect brightness levels when converting the mode, for instance.)

Tip: 32-bit image controls are for High Dynamic Range images, which will be covered in a later book in this series.

If you select Grayscale, you then have the ability to convert the mode to Bitmap (two brightness levels, black-and-white only) or even Duotone.

If you select Image > Mode > Duotone..., the Duotone Options dialog shows up. Here you can decide if you want to convert to a Monotone, Duotone, Tritone, or Quadtone image. In the Ink columns, you can select the color by clicking on the righthand box to bring up the Color Picker window. Or, you can take advantage of Photoshop's presets by selecting the Load button and navigating to the Photoshop > Presets > Duotones > Pantone Duotones folder, where you can select various Duotone presets.

The next mode on the sub-menu is Indexed Color. This option is excellent if you want to create the smallest color file possible for use on the Internet and save the file as a GIF format. This will change your RGB, 1.6-million-color file to a single-channel color file that yields only 256 (or fewer) colors.

You can also select the Color Table from the Mode sub-menu once you've converted to Indexed Color.

Converting the mode to CMYK Color will cause your image to inherit the CMYK Working Space setup that you have established in the Color Settings window (Edit > Color Settings > Working Spaces), or it will use the default set. This is particularly important because once you have converted to CMYK Mode, you have established how ink will be applied to paper on a printing press. It is very important to have these settings customized to a specific printing press or a type of press default set.

The only reason to convert to CMYK is for a printing press that produces magazines, newspapers, brochures, etc. Be sure to check with your printer for the correct settings for their press. If they can supply an ICC profile, converting to that profile is a very safe option.

Tip: For much more on making critical color decisions, see the book Practical Color Management in this series.

The Lab Color mode is perhaps the most intelligent space of color in the history of Chrominance and Luminance data. The Channels palette will show the Lightness Channel, which comprises the A and B Channels. The Lightness Channel encapsulates the entire luminance range (or brightness levels) of the entire image and places the chrominance information on the A and B Channels. The A Channel houses the red and green spectrum of color, while the B Channel supplies a place for the yellow and blue spectrum of colors.

Tip: The Lab Color mode offers many advanced options in controlling color and tone that are not readily available in other color modes, such as the ability to eliminate digital color crossover while adjusting the lightness channel only.

The Multichannel Mode uses 256 brightness levels of gray in each channel, and the color channels become spot color channels. This mode is used for specialized printing techniques. Converting to this mode from an RGB file creates cyan, magenta, and yellow spot channels. Converting to the Multichannel mode from a CMYK file yields cyan, magenta, yellow, and black spot channels.

2.2.2.2. Alpha Country

Below the surface of the image (meaning below the RGB Channels), we have what I call "Alpha Country." An Alpha channel resides in the Channels palette but is only used for masking. When you are viewing your image, you can't see an Alpha channel (unless you select the Visibility option in the Channels palette).

Alpha channels are masks, and they can be used to create masking for blending images and adjustments. (A layer mask is an Alpha channel in disguise.) While active on this layer, you can see an Alpha channel represented in the Channels palette.

Tip: The Alpha channel also can be assigned as a Clipping Path when placed in a program such as Adobe InDesign, allowing the background to become transparent in the InDesign layout.

Create an Alpha channel by selecting the "Create new channel" icon at the bottom of the Channel window. This creates a blank Alpha channel.

When you have an active selection, you can use the "Save selection as channel" icon at the bottom of the Channels palette. Another way to save a selection as an Alpha channel is in the Main Menu, with Select > Save Selection.

This brings up the Save Selection window that gives you options for saving your channel, including what to name the new channel. If you don't name the channel, it will automatically name itself, as Alpha 1, Alpha 2, and so on. You can save it as a new channel, or you can add to, subtract from, or intersect with a current channel.

Tip: To keep an Alpha channel in a saved file, make sure Alpha Channel is checked in the Save dialog. Save the file as a PSD or TIFF. (Saving a file as a JPEG will remove the Alpha Channels, even though it will "save a copy" rather than save the working file that's open in Photoshop.)

If you want to delete a channel, first select it and then click the "Delete current channel" icon. You can select and delete multiple channels this way as well.

To load an Alpha channel (i.e., create an active selection), select the channel and then click on the "Load channel as selection" icon. My preference for loading Alpha channels is to hold down the Cmd/Ctrl key, place the cursor over the Alpha channel (name or thumbnail; your cursor will change to Mr. Hand with an active selection symbol), and click. This loads the selection while still keeping you active on the surface of the image.

2.2.3. The Paths Palette

Perhaps the most powerful tool in Photoshop is the Pen tool, a vector tool that allows you to create exact and precise paths along your subject. When you create a path using the Pen tool (or any vector tool, for that matter), the vector path will reside in the Paths palette.

As soon as you start to create a path, you'll see the path taking shape in the Paths palette, but the name of the path will be "Work Path".

An unsaved Work Path is a very dangerous thing, because you will lose it if you start a new one inadvertently. As soon as you start to create a path with the Pen tool, even at the outset, go ahead and save the path by renaming it. Saving the path doesn't save the file, but it does insure that when you go to create a second path, your original path will remain intact.

To create a second path, deselect the active path and start a new path, or select the Create New Path icon at the bottom of the palette.

The Paths Palette Options from the sub-menu are for Thumbnail Size view.

To save the path, either use the fly-out menu's Save Path option or double-click on the path in the palette; either method will bring up the Save Path window. Here you can name the path if you plan on having multiple paths, or you can keep the default name as Path 1, Path 2, and so on.

The buttons at the bottom of the Paths palette allow you to fill, stroke, or load a path with a single click. Once you have an active selection, you can select "Make work path from selection." The "Create new path" button is helpful if you don't save your Work Path as mentioned above, and the "Delete current path" icon deletes whichever path you have highlighted in the Paths palette.

The Paths palette houses Pen tool paths, paths that you've made, work paths from a selection, Custom Shape Paths, and Shape Layers created from any Photoshop vector tool. If you use the Custom Shape tool with the Shape Layers option, your vector path will be visible in the Paths palette only when you have the Shape Layer selected in the Layers palette, even though the Shape icon will always be visible in the Layers palette.

From the Paths sub-menu, the options offer some amazing opportunities. Start by creating a selection using any selection tool (such as the Lasso tool). Once you have an active selection, select Make Work Path from the Paths palette's sub-menu (or click the Make Work Path icon at the bottomof the palette), and select OK using the default Tolerance. This will create a path with points and adjustment controls if you want to refine or modify your path.

Once you have a path, you can fill it with a variety of fill options, and, amazingly, you can also Stroke a path with any Photoshop tool that uses a brush. Let's take a closer look at this last option on the next page.

From the sub-menu, select Stroke Path; from here, you can use the pull-down menu to select any of Photoshop's tools that use a brush and then stroke the path with that tool. Photoshop will use whatever brush size, blending mode, opacity, pressure, exposure, flow, etc., that you have set from the specific tool you choose. For instance, the Brush option will stroke your path with the current foreground color and then use the blending mode, opacity, brush size, and brush edge settings from your last use.

Tip: Sometimes when I use a path to cut out a subject, I stroke the path with the Smudge tool to blend in a softer edge.

When you're ready to create an active selection from any path, you can do so easily by holding down the Cmd/Ctrl key, and then positioning your cursor over the path name or thumbnail. You'll see Mr. Hand with the Active Selection symbol; simply Cmd/Ctrl-click on the path name to activate the selection. By using this short key method, the path does not have to be selected.

If you use the Make Selection... command from the sub-menu to load the path, you must first select the path in the Paths palette. Then you will have immediate options for feathering, anti-aliasing, and Operation functions.


Section 2.3. History and Actions Palettes

2.3. History and Actions Palettes

Past and future. The History and Actions palettes allow you to exploit the fact that you often repeat your techniques in Photoshop. The History palette allows you to reuse your past work; the Actions palette allows you to repeat often used commands or series of commands in the future.

2.3.1. The History Palette

The History palette is connected to the entire spectrum of Photoshop: tools, menu items, commands, functions, and everything you do. Once you've set the right History Log options (see Chapter 3), it even can remember when you've opened and closed an image.

Before we study the History palette, let's see how to set the number of History States we can record in the History palette. From the main menu, select Photoshop > Preferences > General (Mac) or Edit > Preferences > General (PC). Here you can establish the number of History States that you want the History palette to record in memory. 20 is the default, but I set my History States to 60. Naturally, this requires more RAM, but I find this to be the right amount of History States for my workflow.

By selecting the History palette's History Options from the sub-menu, you can establish the options you need for your workflow. Automatically Create First Snapshot, which creates a snapshot when you first open a file, is selected by default. Automatically Create New Snapshot When Saving will do just that: save your work progression during a working session. Allow Non-Linear History allows you to make changes to a selected state without deleting the states that come after it in the History palette.

The Show New Snapshot Dialog option will bring up the New Snapshot window, allowing you to create a snapshot from the full document, merged layers, or even the Current Layer, and then name the snapshot. You can also name a snapshot by double-clicking on the snapshot name in the History palette.

Make Layer Visibility Changes Undoable will record a history state when you uncheck or check the Visibility icon in the Layers palette during your work session.

As the History palette records each step of your work, you may want to keep a file that has your current working layers and adjustments for future use. You can create a second image file and save it in its current condition by selecting New Document from the sub-menu or clicking the "Create new document from current state" icon at the bottom of the History palette.

This will create a second image file that contains all of your image and adjustment layers, layer masks, and layer groups. You can save the original work file and continue on with your work in the new file, or vice versa.

Creating a snapshot of the image allows you to have quick reference to your work session. It also allows you to reference that "state in history" and use the History Brush to paint in certain properties from the history snapshot to your current working state. To create a snapshot, you can select the "Create new snapshot" icon at the bottom of the palette or from the sub-menu.

You can create as many History Snapshots as you need during a working session. As you'll see in Chapter 3, you can actually save a text log of your History work session, but once you save and close an image, the actual History palette will clear.

The partner tools to the History palette are the History Brush and Art History Brush. To use these tools, you must first select a History State for the brush to paint from (or it will paint from the original "open" history state). Click in the column to the left of the Snapshot icon, indicating to Photoshop the source for the History Brush or Art History Brush (more on this in Chapter 6). By default, Photoshop automatically will be set to paint from the original Open snapshot created when you first opened the file.

Tip: Double-click on any palette's tab, and the palette will collapse, so it takes up little space on your monitor or display!

2.3.2. The Actions Palette

Using actions in your workflow is like having help from your best friend who remembers how you like to do things. Actions include creative enhancements, production techniques, establishing a variety of workflow environments, and much more. An action is very much a macro; you can record an action to perform an entire series of commands and functions, or simply a single function. When you open the Actions palette sub-menu, you'll find a host of controls and options, loadable preset actions, playback options, and something called Button Mode. Button Mode changes your Actions palette into a color-coded scheme (colors can be assigned in Action Options), so each action now plays immediately with a single click of the mouse. Turn this mode on and off by selecting Button Mode in the sub-menu.

Tip: While in Button Mode, your ability to record, edit, or use the palette icons is turned off. You must turn off Button Mode to record an action.

Initially, the Actions palette has an Action set named Default Actions; these actions set your color-coded workspace options and menus (discussed in Chapter 1). Select the little triangle next to the set, and the set will expand, showing you all of the actions in the set. To play one of the actions, first select its name, and then click on the triangle at the bottom of the palette (the Play Selection icon).

At the bottom of the Actions palette, the icons from right to left are Delete, New Action, New Action Set, Play Action, Record Action, and Stop Recording. An Action must be inside of an action set. A set (folder icon) houses as many actions as you need for that workflow.

Tip: You cannot save or load an action, but you can save or load an action set.

There are two ways to load actions. From the sub-menu, you can select Load Actions, navigate to the action set you want to load, and then select the Load button. You can also load actions from the Photoshop Actions folder; these actions show up at the bottom of the sub-menu and are ready to load instantly. If you create an action set and want it to show up in the sub-menu, save your set to this folder. The directory is in the Photoshop CS2 folder > Presets > Photoshop Actions.

Now let's take a closer look at working with actions. From the Actions palette's sub-menu, select the Frames set that comes with Photoshop.

Next, expand the action set by selecting the triangle next to the set. Highlight one of the actions, and play it by clicking on the Play Action icon [image] at the bottom of the Actions palette. If you select an action that has "(selection)" in its name, then you'll first need to make sure you have made a selection in your image.

If you find that you use a particular action quite a bit, you can assign a function key to play the action from your keyboard. To do so, double-click in the white space to the right of the name of the action; this will bring up the Action Options dialog. Make a selection from the Function Key drop-down menu to assign a key. If the key you want has already been assigned, you can use it with the Shift and/or Cmd/Ctrl keys as additional options.

In the Action Options and New Action dialog windows, you can name the action, select the set where the action will reside, assign a function key to the action, and select a color for the Button Mode.

From the fly-out menu, selecting Playback Options will let you select whether you want to accelerate an action (the default setting), run it step by step (slows the action), or set a pause for between 1 and 60 seconds (really helpful if you want apply specific tasks to an individual image in the middle of an action). You can also select the "Pause for Audio Annotation" option if you have recorded one to play the action.

In the default Actions palette (i.e., not in Button Mode), you'll see two columns to the left of the actions or action sets.

By clicking in the left column (a checkmark appears when it's selected), you can toggle an action command on and off. If you uncheck a part of an action, it will bypass that part but play the remaining parts.

The right column (which shows a red or black page icon) toggles a dialog on and off. For example, say you have recorded a curves adjustment in your action. If you toggle on the dialog icon for this step, when the action gets to this part, the curve window will open and stop, waiting for you to create the curve adjustment. Once you select OK, the action will continue to play.

Actions are quite interactive, adjustable, and editable. You can move any part of an action or reposition a step in an action, much like you can change the position of a layer. Just select the action command and move it to a new location in the action by dragging and dropping.

You can also delete any part of an action by moving that command to the palette's Delete (trash can) icon.

You can batch-process an entire folder of images with an action by selecting File > Automate > Batch from the Photoshop menu. You can also create a Droplet, an action icon that you can position on your desktop and to which you can then drag an image or folder to open Photoshop and play the assigned action.


Section 2.4. Color, Swatches, and Styles Palettes

2.4. Color, Swatches, and Styles Palettes

The next set of palettes covered in this chapter are all about working with colors. The Color, Swatches, and Style palettes allow you to make important decisions that will keep your colors looking the way you intend them to in Photoshop.

Sixteen colors. That's what I started out with way back in the 1980s. Today's 8-bit color-processing capabilities include 16.7 million colors, and I can't even imagine how many potential colors are in a 32-bit image. But for now, there is no possible way to see and reproduce that kind of color gamut, so we'll stick to what's available in the Color, Swatches, and Styles palettes.

2.4.1. The Color Palette

The Color palette holds two color mixes, a foreground and background. These two colors are readily available in the Tools palette, and are also connected to the Eyedropper, Brush, Pencil, Color Replacement, Paint Bucket, and Gradient tools. (The Eraser tool is connected to the background color only when you are using the tool on a Background layer.)

Tip: Any time you see a triangle with an exclamation point or a little box in the Color palette or the Color Picker, Photoshop is warning you that your chosen color either is out of the CMYK printing gamut (the exclamation point) or is not a web-safe color (the box). To make a color web safe or bring it into the CMYK printing gamut, simply click on the exclamation [image] or box icon [image] in either the Color Palette or Color Picker Window.

The Color palette and Color Picker give you some vital information about the color you're using. In addition to the "out of gamut" warning, you have the numeric reading of the color's value in the RGB windows on the right (with the RGB option). The color ramp at the bottom allows you to move your cursor over and immediately select any color in the ramp.

Tip: Your cursor will automatically change into the Eyedropper tool when you move your cursor over the color ramp.

From the fly-out menu, you can change the reading from RGB to Grayscale, HSB (Hue, Saturation, and Brightness), CMYK, and the all-important Lab and Web Color sliders. You can also select the Ramp spectrum of colors at the bottom of the Color palette. (If you do a lot of web work, you can force your ramp to web safe colors by selecting the Make Ramp Web Safe option.)

Click just once on either the foreground or background color, in either the Color or Tools palette, and this will bring up the Color Picker window. The radio buttons have four zones: HSB, RGB, Lab, and CMYK. The fields are the same as in the Color palette, so you can also type in the values here.

At the bottom of the Color Picker, the # field contains the locator for that color. You can copy it for reference and then paste if you need to bring back that exact color the next time you bring up the Color Picker.

By selecting any of the radio buttons, you can change the Color Picker interface. The large area in this interface allows you to select the saturation and brightness; the bar in the middle with the slider allows you to select the hue.

Select the Color Libraries button in the Color Picker, and the window will switch to the Color Libraries window. Here you can select Pantone colors or use the pull-down menu to select many other color libraries. In this window, you don't have to select an area; instead, you can just type in a known color number, such as 485.

This will take you to Pantone 485 Red. Alternatively, you can use the slider in the center to move to different color zones.

In the Color palette or Color Picker, you can highlight one of the numeric fields and type in a value. You can also use Scrubby Sliders [image] in these windows by holding down the Cmd/Ctrl key and placing your cursor over the window. You'll see the Scrubby Slider icon; just click and drag your mouse to the left or right to change the numeric value. In the Color Picker window, you can change the locator number by putting your mouse over the # symbol and moving the mouse right or left, without having to hold down the Command or Control key.

2.4.2. The Swatches Palette

Once you've selected a color, mixed a color using the controls in the Color palette or Color Picker, or chosen a color from the Color Libraries, you can save that color for instant access in the Swatches palette. If you'd like to name your swatch, place your cursor into the blank area at the bottom of the Swatches palette (you may have to expand the palette size first) and click your mouse when you see your cursor turn into the paint bucket icon.

This will bring up a dialog box where you can name your swatch.

If your workflow involves colorizing black and white images, doing restorations, or using other creative colorizing techniques, you should have a custom swatch set that includes various skin tones and earth tones (such as grass, trees, and ocean colors) saved as a custom swatch set. Once you have your custom colors in the Swatches palette, you can select Save Swatches from the sub-menu, send the .aco file to another workstation, and use the Load Swatches command to load the custom color set.

As soon as you move your cursor over the Swatches palette, your cursor will switch into the Eyedropper tool [image], allowing you to select a color from the palette. Selecting the color will position it as your foreground color in the Color or Tools palette. If you hold down Cmd/Ctrl and then select your color, it will position itself as the Background color. And by holding down Opt/Alt, you'll see a little scissors icon [image]. Clicking a color with this pointer will delete that color.

2.4.2.1. The Preset Manager

From the sub-menu, you can bring up the Preset Manager for the swatches. Here you can select a color and reposition it in the Swatches palette to a more convenient location. This would be helpful, for instance, if you wanted just skin tones to be at the very top. To move a color swatch in the Preset Manager, simply move your cursor over the color, and then click and drag the mouse to the new location. You can also remove colors in the Preset Manager by holding down the Opt/Alt key, just as mentioned in the previous paragraph.

There is a large list of preset color swatches that load automatically with Photoshop and are readily accessible using the Swatches palette's sub-menu.

Also from the sub-menu, there are options for changing swatch sizes or displaying swatches with their names.

Tip: The saving and loading swatches commands will take you automatically to the Color Swatches folder, located in the Photoshop CS2 > Presets > Color Swatches folder. When saving your own custom swatches, you may want to save these to a different directory or folder located outside of the Photoshop folder for future use (for instance, after a Photoshop upgrade).

2.4.3. The Styles Palette

The Styles palette is connected to the Layer Style window, where you can use or create an amazing array of styles that can be applied to any layer, whether it's a text layer, a graphic, a custom shape, or just pixels.

The default presets, along with the loadable presets from the palette's sub-menu, offer many styles that are ready to use or even automate into a creative workflow.

To create a custom style, start out with an item on a layer and, from the Layers palette, select the "Add a layer style" icon or, from the main menu, select Layer > Layer Style > Drop Shadow. Alternatively, you can double-click the layer icon.

To adjust any of the options, such as "Bevel and Emboss" in this example, you must first click on the name "Bevel and Emboss" to bring up the controls for that style. Then, you can adjust the Structure and Shading options for this style. To control the properties of Drop Shadow, Color Overlay, or any other style, first highlight (or click on) the name of that style and then create your settings.

To have instant access to your new style, select the New Style button from the Layer Style window. This will bring up the options to include the Layer Effects and Blending Options. Select OK, and your new style will reside in the Styles palette, ready for use (it will also be applied to your current Layer).

The next time you want to use your custom style, click and drag the style icon from the Styles palette to the layer in the Layers palette, and the style will be applied instantly. Or in the Layers palette, highlight a layer (or even multiple layers) and click on the style in Styles palette to apply the style to the layer(s).

Selecting one of Photoshop's preset style sets from the sub-menu will bring up options to replace or append the current styles. Selecting Append will add the new styles to your current styles.

By selecting the Preset Manager from the sub-menu or main menu, you can delete, rename, and rearrange the position of your styles.


Section 2.5. Navigator, Info, and Histogram Palettes

2.5. Navigator, Info, and Histogram Palettes

With the combination of these next three palettes, which are grouped together by default in Photoshop, you can quickly navigate to any part of your image with the Navigator palette, keep track of important color and tone information using the Info palette, and monitor the vital signs of your file with the critical info revealed in the Histogram palette.

2.5.1. The Navigator Palette

The Navigator palette is a very cool palette, offering a quick and easy way to zoom in and out of your image. You can also access any sector by clicking on the image preview in the palette, as well as by sliding the proxy view box (red square) anywhere on the image preview when zoomed in. Correspondingly, your actual image window will zoom or navigate instantly.

The bottom of the palette has the zoom slider and large and small button icons, along with the corner grabber, which allows you to create a palette window as large as you want by dragging the corner to increase/decrease the palette size. This is an especially wonderful feature if you have dual monitors and can position this palette on the second monitor. On the bottom-left corner is the numeric text zoom; highlight and type in the zoom ratio, and you're there.

The Palette Options sub-menu item offers various preset colors for the View Box color. Other than that, you'll see your standard "Dock to Palette Well" option, and that's it. Basically, every time you look at various palette options, the final option is always "Dock to Palette Well."

By default, the mini Navigator palette is as small as the other palettes, but it still offers a powerful means of navigating and zooming in and out of your images.

Tip: The Navigator palette occasionally comes in handy for inspecting certain images, but for the most part, I usually use keyboard shortcuts in my workflow.

Here are some very productive keyboard shortcuts for navigating images without using the Navigator palette:

Function | Mac shortcut | Windows shortcut
Automatically select Zoom tool | Z (from any place except within text) | Z (from any place except within text)
Temporarily access Zoom In tool | Cmd+spacebar, then click on or drag around specific area | Ctrl+spacebar, then click on or drag around specific area
Quick Zoom In or Out | Cmd+plus or minus key | Ctrl+plus or minus key
Fit Image in Window | Cmd+0 (zero) | Ctrl+0 (zero)
Zoom to 100% | Opt+Cmd+0 (zero) | Alt+Ctrl+0 (zero)
Switch to Hand Tool | Spacebar+drag mouse | Spacebar+drag mouse

2.5.2. The Info Palette

The Info palette can show multiple bits of information simultaneously. As a matter of fact, you can set what info is displayed by selecting the Palette Options from the sub-menu. In many ways, it's more useful than the Status bar (discussed in Chapter 1). You can have all of these options selected and showing at the same time in the Info palette, and if you turn on Show Tool Hints, you will get tips on using the tool you have selected. Seeing all this info at one time is certainly possible, but it isn't really logical unless your workflow requires this much information instantly.

The top of the Info palette has live readouts showing the value of pixels when your cursor is hovering over any part of your image, regardless of which tool you may have selected. This reading has been compared to a densitometer, a device labs use to analyze negative or transparency density values and other important information.

In the Info palette, these readouts are very important in accessing color casts, getting printable info for shadow or highlight details, and for many other uses. The default readings are RGB and CMYK. These are easily changeable by selecting the tiny eyedropper icon next to the RGB or CMYK reading, which brings up the Readout options (which can also be changed to 16-bit or 32-bit readouts). In my workflow I have RGB on the left, and I switch the CMYK reading to Grayscale on the right. This gives me a 0% to 100% reading on the right and a 0 to 255 reading (8-bit data reading) in RGB on the left.

The second section of the Info palette shows the actual mouse location (the x-and y-coordinates) on the image in inches, pixels, or any of several other selectable options. And if you have an active selection in your image, the W: and H: numbers will indicate its exact size in inches or pixels (depending on how your options are set). This type of information is helpful in aligning elements, coordinating sizes, and much more.

Tip: When you're using the Measure tool, the top-right section of the Info palette will show the angle and dimension of the selected measurement.

The master partners to the Info palette are the Eyedropper and Color Sampler tools. With the Color Sampler tool, you can take up to four readings at a time and have them display simultaneously in the Info palette. What's really cool about this tool is that once you click the mouse, it will bring out the Info palette (if it's not out already), place a target on the image, and expand the Info palette as it locks in the reading of that target. I use this feature quite a bit when controlling digital color and tone.

The Info palette is slightly expandable: just select the bottom-righthand corner and drag.

2.5.3. The Histogram Palette

"In search of the perfect histogram." Well, at least that is what I'd like to see in all of my images. A histogram is a description of the value, or tonal range, that is in an image file. As if from the yellow submarine, I like to think of the histogram as a sonar reading of the luminance or exposure of the image, which returns a "mountain range" describing the shadow, midtone, and highlight values in an image.

A low key image will have the mountain range peaks in the shadow region (left side), a high key image will have the mountain range peaks in the highlight region (right side) of the Histrogram, and so on.

Actually, the perfect histogram (if there is such a thing) yields information inside the walls, with the toe of the histogram mountain touching base just at or before the shadow and highlight walls.

For instance, the left wall of the Histogram window shows zero values. And if my histogram is climbing the left wall, this indicates that I have a lot of zero values (blacks) that may block up detail when the image is printed. Same with the right wall of the histogram; information that's climbing up the highlight wall indicates overexposed or blown out (255) values. The ideal histogram would have the mountain range touch the base line just before the left and right walls.

When you see the little triangle with the exclamation point, the Histogram palette is warning that the histogram has not been redrawn; that is, it's uncached. By clicking on either the Warning Icon or Refresh button (accessible in expanded view only), the histogram will redraw and show the cached histogram.

In the Histogram palette fly-out menu, you can select Expanded View, which will double the size of the palette. In Expanded View, you have the option to Show Statistics, which will give you some mathematical detail on your image. By selecting All Channels View, the palette will expand to show all of the channel histograms in any mode (i.e., RGB, CMYK, Lab, etc.).

The "Show Channels in Color" option in the fly-out menu will do just that, showing each channel's luminance range in color.

By default, the Histogram palette shows the histogram for the entire image or a combination of all the channels' luminance or density ranges from shadow to highlight.

When you're creating an adjustment in Curves, Levels, or another command in Photoshop, your histogram will provide a visual indication of what's happening with the image data, as long as the palette is out in your work area. This helps you see just how much information may be changed or actually thrown away from the adjustment. Steep spikes indicate that a lot of pixel data is now missing or changed.

2.5.3.1. Additional histograms in Photoshop

Histograms can show the vital statistics of an image right from the start. Digital cameras show the initial histogram, and other areas where you can work with histograms are in Adobe Camera Raw, RAW files, and in Photoshop's Levels window.

Working from a RAW file and adjusting the histogram in Camera Raw or other RAW image-processing applications is much preferred whenever possible, as it will yield more data and a healthier histogram from the start.


Section 2.6. The Tool Presets Palette

2.6. The Tool Presets Palette

Groovy, baby! Tool Presets are an awesome option in any workflow, allowing you to save a ton of tool options and configurations and then quickly access them with the Tool Presets palette or, better yet, from the Options bar Tool Presets icon.

From the Tool Presets palette sub-menu you can Load Tool Presets. When you select this option, Photoshop will automatically find the directory where these saved presets are located, which is in the Photoshop CS2 folder > Presets > Tools folder.

Nearly every tool in Photoshop has options, settings, and configurations that you can save as a tool preset. This is extremely helpful, especially if you have a variety of needs when using, say, the Brush tool, which has a host of brush options, as we'll discuss in the next section.

Loading the Brushes.tpl presets will give you a nice host of brush options, some complicated, ready to use at the click of a button from the Presets palette.

Once a tool is selected, rather than using the Tool Presets palette, I choose to use the Tool Presets icon, located at the far left of Photoshop's Options bar. This gives me constant access to the tool presets, without having yet another palette in my workspace, and has all of the options and controls needed to manage and select tool presets.

Once you have selected a tool, such as the Crop tool, and set the options for that tool (for example, here I've set it to 16 inches x 20 inches and left the resolution window blank so it will not resample the file), you can select the Tool Preset Icon, then the circle/triangle (the sub-menu), and finally New Tool Preset. This way, you can save your tool options and have quick access anytime.

One of the the options you can select for managing the Tool Preset palette and Options bar icon is Current Tool Only, which allows fast selection for a specific tool once you've selected that tool from the Tools palette. From the sub-menu, you can also change the list size, load, save, reset, and replace tool presets, and from the list at the bottom, you can quickly load saved presets. Also from here (the sub-menu), you can access the Preset Manager.

2.6.1. The Preset Manager

In the Preset Manager, you can rearrange the order of your saved presets by selecting the preset and moving it to a new location in the list. You can also rename, save, and load presets, and delete unwanted presets.

From the Preset Type drop-down menu, you can manage any of the listed palette options.


Section 2.7. The Brushes Palette

2.7. The Brushes Palette

The Brushes palette is one of the most intuitive palettes, offering an endless amount of options, controls, combinations, and customization that one might use in a digital workflow. And because of the many brush opportunities, saving custom brushes (as we learned in the last section) is a real time-saver.

The Brushes palette works as a partner with any tool that uses a brush, such as the Brushes, Clone Stamp, Pattern Stamp, Pencil, History, Art History, Burn, Dodge, Smudge, Blur, Sharpen, Smudge, and Eraser tools.

As a matter of fact, when you've selected any of these tools, the Brushes palette icon [image] will appear in the Options bar, right next to the Bridge icon and Palette Well, allowing you to toggle the Brushes palette at your convenience.

The Brushes palette is expandable to whatever size you would like in your workspace. By using Expanded View from the fly-out menu, you can select from an almost endless amount of brush controls and options that make Photoshop so powerful.

Tip: I particularly like seeing the Brush Stroke Preview at the bottom of the Brushes palette.

At the bottom of the Brushes palette sub-menu, you can load a host of brush sets. Loading and appending these to your brush set will give you a good idea of what presets Photoshop already has available, and give you a feel for how you might create your own custom brushes and brush sets.

Take a little time to load and explore these various brush presets, and after you've selected the brush sets that you like, you can manage, edit, and save the content in the Preset Manager (also selectable from the palette's fly-out menu). Once you have customized your brushes and want to keep them available, make sure to Save Brushes from the Brushes palette fly-out menu and load them as needed.

Other options from this menu include Stroke Thumbnail view; this shows the brush stroke alongside each brush tip icon.

You can also create a custom brush, or you can select a variety of settings and save it as New Brush Preset, which will position it at the end of your brush set window.

Also, you can delete any brush by Option/Alt-clicking on its brush icon in the Brushes palette.

As I mentioned in the beginning of this section, the Brushes palette has an Expanded View option. Here you can see the brush setting for each existing brush or custom brush on the lefthand side of the palette. To use these controls, you must first select or highlight the name of the setting. This will then show the brush options for that setting. Let's take a look at some of these brush settings.

Selecting the Brush Presets from the left side of the Brushes palette will give you a thumbnail brush tip view of your brushes, along with the option to change the Master Diameter or pixel width of the currently selected brush. You can also navigate to select any brush in your set.

By selecting Brush Tip Shape, you not only have Diameter control, but you can also change the Angle, Roundness, and Spacing. With any round brush, select the brush edge's Hardness to create a soft, medium, or a hard-edged brush. You can also lock and unlock any brush settings by selecting the Lock icon.

Tip: A brush diameter in Photoshop can range from 1 pixel up to 2,500 pixels.

Select Shape Dynamics settings to adjust options for adding (or changing) dynamic characteristics to brush tips. The Control drop-down menu offers options for pressure-sensitive tablets such as the Wacom tablet. For example, when you select Pen Pressure, your tablet tool allows your brush to paint a small part of your visible brush size; the more pressure you use, the bigger the brush becomes.

Tip: When using a pressure-sensitive tablet with these controls, you can adjust the amount of paint, brush size, and even the opacity, so that they vary according to the actual pen pressure you use when painting.

The settings for Brush Presets, Brush Tip Shape, and Shape Dynamics are the primary control options when establishing your brush handling. The other settingssuch as Texture, Dual Brush, Color Dynamics, and Other Dynamicsoffer an amazing assortment of options and controls that are worth exploring.

Other brush options you can use include Noise, Wet Edges, Airbrush, Smoothing, and Protect Texture. These options do not have control panel settings, but offer various effects. By viewing the Brush Stroke Preview at the bottom of the palette, you can see how each option will affect the brush tip, stroke, and pressure settings. These settings and options can be toggled on and off by checking the box next to each choice.

In production, when you're working intensely on an image and you need to quickly find or change a brush or change a brush's diameter or hardness, you can select the pop-up brush palette in the Options bar. This will bring up the brush tip menu, controls for Master Diameter and Hardness, and the sub-menu options.

When you have selected a custom or dynamic brush, you can click on Use Sample Size to bring the brush diameter back to the original size when the brush preset was saved.

Tool Presets from the Options bar also allow quick access for brush selection. One of the selections is No Style, useful for when you need to get back to a normal brush quickly.

The keyboard shortcuts shown in the table below really come in handy during production.

Function | Mac shortcut | Windows shortcut
Increase brush size | Right bracket key ] | Right bracket key ]
Decrease brush size | Left bracket key [ | Left bracket key [
Increase/decrease brush hardness | Shift key + right or left bracket key | Shift key + right or left bracket key
Delete brush from palette | Option + click brush tip | Alt + click brush tip
Change cursor to crosshair | Caps Lock | Caps Lock
Toggle airbrush option | Shift + Option + P | Shift + Alt + P


Section 2.8. A Few Remaining Key Palettes

2.8. A Few Remaining Key Palettes

Before we finish our discussion of palettes, there are a few others I want to give you a quick look at. These include palettes for text manipulation, animation, and creating layer comps.

2.8.1. Character and Paragraph Palettes

Even though we're dealing primarily with graphical images in this book, the ability to control typographical elements (such character and paragraph styles) is a very powerful feature in Photoshop, especially for those who need specific type settings.

With the Type tool selected, you can quickly choose the font family, set the font size, set the justification for paragraphs, or change the font color. These basic controls are readily available from the Options bar palette and, for the most part, are what I use in my workflow.

You can bring out the Character and Paragraph palettes by selecting the toggle icon [image] in the Options bar, which is just to the left of the Bridge icon.

The Paragraph palette allows you to set the alignment and justification using the icons at the top. You can use the fields below to set the left and right indent margins, indentation for the first line, and space before and after paragraphs. You can turn hyphenation on and off from here as well.

The palette's sub-menu offers even more advanced settings, including Justification and Hyphenation control windows, where expert typographers can establish an entire series of options to use while setting type in Photoshop.

The Character palette give you controls for selecting the font family, font size, vertical scale, Set Tsume option (which is available only if you've selected Show Asian Text Options in the Type preferences), tracking, baseline shift, language, font style, leading, horizontal scale, and kerning controls.

The Character palette's fly-out menu brings up an assortment of options for controlling type, such as Faux Bold and Italic when a font family doesn't offer bold or italic options. When your Type tool's I-Beam cursor is active within text, the sub-menu will reveal keyboard shortcuts next to the options in the fly-out menu.

Other advanced typography controls include OpenType and, if you've selected Show Asian Text Options in the Type preferences, Character Alignment options.

Type featuressuch as the Warp Text control options (selectable from the Options bar icon), type transform, and type on a pathare cool features that we'll explore in Chapter 6.

The Character and Paragraph palettes are connected only to Type Layers and the Type tool.

Tip: Using the Type tool will automatically create a new type layer in the Layers palette.

2.8.2. Yes, the Options Bar Is a Palette

As we've seen throughout this chapter, the Options bar is connected to every single tool in Photoshop and offers a variety of controls and options. In conjunction with the various tools' specific palettes, the Options bar gives you even more control over how you use any given tool.

Tip: The one palette in Photoshop that we didn't discuss much in this chapter is the Tools palette. In Chapter 6, we'll review key tools, along with some important tool options and their uses.

The Options bar will become one of your best friends as you become proficient in your workflow procedures, techniques, and tool use.

As an example, with the Clone Stamp tool selected, you can Sample All Layers from the Options bar as you use the tool. You can also use the Aligned or nonaligned options along with brush opacity, flow control, effect mode, brush selection, and tool preset icons.

Another example of Options bar usage is with the Pen tool. Here you can select the Shape Layers, Paths, or Fill Pixels options, intersecting options, and even various vector partner tools.

Select any tool and study the Options bar controls for that tool. It isn't nessassary to understand every single option for each tool, however; as you progress with your working knowledge of the tools, controls, and options, you'll find the Options bar to be the most accommodating palette in your workflow.

2.8.3. Animation Palette

The Animation palette is designed to help build animations, rollovers, and other really cool visuals for the Internet. Working with a layered file, such as this one of Tonya, you can see how a moving animation can be created.

Palette Options... in the sub-menu offers Thumbnail Size selection. When using the Animation palette, there are also Animation options available from the Layers palette.

Tip: Animation isn't a part of my personal workflow, but I have used this feature to create a fun introduction movie to one of my Software-Cinema DVD sessions.

The buttons at the bottom of the palette allow you to quickly create new frames; duplicate the selected frame so you can set the next animation; select the first, previous, or next frames; tween animation frames; and delete frames.

2.8.4. Layer Comps Palette

Even though I don't use Layer Comps much in my workflow, it certainly is worth mentioning for those who might want to implement it.

The Layer Comps palette and function is connected with the Layers palette or, more specifically, with how a variety of compositions using layers and layer styles are saved for reference. It's like creating a snapshot in the History palette, only the Layer Comps are saveable with the file, whereas History snapshots are not.

Layer Comps do just that: save layer compositions. Once you have created and positioned your layer items and have set your Layer Styles, you can create a New Layer Comp by selecting this option in the palette's sub-menu, or you can use the New Layer Comp icon at the bottom of the palette. This will bring up the Layer Comp Options dialog, where you can select layer Visibility, Position, and Appearance (Layer Style and blending mode) options to apply to the New Layer Comp. This way, you can save options for you (or your client) to compare.

Now you can select and view the compositional state by placing the Comp Page icon in the left column next to the Layer Comp you want to view. The sub menu and icon controls allow you to Update Layer Comp, Apply Next or Previous Layer Comp, Delete Layer Comp, and Restore Last Document State.


Chapter 3. Setting Important Preferences

Just what do you prefer? Setting preferences in Photoshop is another step in establishing a productive working environment, tailored to your needs and means. Depending on your experience, you may not know which preferences are going to be most important to your particular workflow. But some prefs are a little more important than others. In this chapter, we'll look at setting preferences that I've found to be most important.


Section 3.1. Preference Directory

3.1. Preference Directory

The Preferences dialog box presents a directory of controls that allow you to set preferences for a variety of Photoshop features. We'll make our way through this list, stopping on key items you'll want to configure for your workflow.

Whether in Windows or on a Mac, you can access the Preferences dialog box in Photoshop by using the keyboard shortcut Cmd/Ctrl-K. This will bring up the General Preferences dialog window. However, if you use the menus to open Preferences, you'll find them in different places. On the Mac, select Photoshop > Preferences; in Windows, go to Edit > Preferences.

From this point, the menus are exactly the same, with the exception of the File Handling dialog box (which we'll get to shortly). There are nine Preferences dialogs that allow you to set a variety of personal, performance, and display options.

You can also open a specific preference dialog box directly from the main Photoshop menu, or from a pop-up menu on the General tab.


Section 3.2. General Preferences

3.2. General Preferences

General Preferences allow you to set image interpolation methods, history states, the user interface (UI) font size (for those of us who need a larger-size font), and one of the most amazing settings today in Photoshop, the History Log options.

3.2.1. Color Picker

The Color Picker pop-up menu allows you to select the Adobe (preferred), Apple, or Windows color schemes.

3.2.2. Image Interpolation

The first important preference is the Image Interpolation option. This is where you set your image resampling default. This choice will show up as the default when you access the Image Size window and change the dimensions of your file, or any time a file is resampled automatically.

Bicubic (Photoshop's default) is a slower but more precise resampling algorithm than Nearest Neighbor, which is a faster but less precise method, or Bilinear, a medium-quality method that averages the color values of surrounding pixels for resampling photographs. The Bicubic Smoother option is designed for up-sampling images, while the Bicubic Sharper is designed for down-sampling images. (Note that you can use any option when resampling.)

For instance, if you down-sample images with the Image Processor script, selecting Bicubic Sharper as your default will automatically sharpen the files during this batch process. Even with Bicubic Sharper set as your default, you can use the pull-down menu in the Image Size dialog (Image >Image Size) to change the resampling algorithm on the fly.

3.2.3. UI Font Size

The User Interface Font Size can be changed for personal preferences, and will affect certain text in some of the palettes' text displays. As noted in the window, any changes will take effect the next time you open Photoshop.

3.2.4. Options

In the Options area of the General Preferences dialog, most of these settings are pretty self-explanatory. For example, Export Clipboard will do just that when multitasking to another application; however, if the clipboard is too big, you'll be greeted with a message letting you know that the Clipboard failed to transfer the file to memory.

Show Tool Tips

This option is handy, as it will pop up a tool tip, supply the keyboard shortcut for accessing a tool, show other important tools that reside under a button, and display window features when you hover over a tool. Turn this feature off once you're well-accustomed to your tool tips and shortcuts.

Zoom Resizes Windows

This is great when you are using the keyboard shortcut for zooming your images. Hold down the Cmd/Ctrl key and then type the plus or minus key (- or + ) to zoom the images in and out. The window will resize as you zoom.

Auto-Update Open Documents

This option will apply changes in Image Ready automatically.

Show Menu Colors

This is attached to the custom Menu color sets that we'll cover in Chapter 4.

Resize Image During Paste/Place

This will automatically put you into Free Transform mode when you are pasting, giving you corner handles for adjusting the size.

Beep When Done

This will sound off a beep or system sound when a function that requires a progress bar or excess RAM is finished. This option has been around for as long as I can remember, and it was very useful in Photoshop 3 when 32 MB of RAM was the norm.

Dynamic Color Sliders

Turning on this option allows the bars in the Color palette to show dynamic colors when using the sliders in each color bar. For example, moving the R (red) slider to the left will change the color to a blue hue, and moving the B (blue) slider to the left will change the color into an orange hue.

Save Palette Locations

This setting will bring back your workspace as you left it when you last worked in and then quit Photoshop; otherwise, the program will reset the palettes to the Photoshop default palette locations.

Automatically Launch Bridge

This will open Bridge as soon as Photoshop opens, which can take an additional few moments to load. Personally, I open the Bridge as needed.

Zoom with Scroll Wheel

This option allows you to zoom in and out of your image using your mouse's scroll-wheel feature.

3.2.5. History States and History Log

The default for Photoshop's History States is 20. You can highlight this little field and change how many states you want the History palette to record for each active image that you work on. Higher numbers will naturally use more memory. My choice is 60, as this gives me the opportunity to access 60 previous steps during an active work session. These steps are present for an active work session and are cleared once an image file is closed.

Remember when you created your first masterpiece image, exploring an endless amount of creative filters and blending modes, and found yourself astonished at the final results? And all of a sudden, it hit you: "Say, exactly how did I do that?" Well, the History Log is designed to help you remember these things, and you have several options to customize your History Log.

The first choice is where to save this information. The first option is Metadata; this will add a log of history to your actual image in the file metadata. You can view this log in Bridge by selecting your image thumbnail and viewing the Metadata tab, and then scrolling down to Edit History. There you'll have a detailed list as to how you've set up your Edit Log Items option (see next page). You can also view this info in Photoshop by selecting File > File Info and then selecting History.

The next option is Text File. The same History Log can be saved to a text file on your hard drive in a location you specify. You can also select Both, which saves both a Text File and Metadata of your History Log.

The Edit Log Items pull-down menu allows you to select one of three options:

Sessions Only

Records the date and open and close times of each document.

Concise

Records the same information as Sessions Only, but includes edits, such as those recorded in the History palette. This option allows you to see which filters or tools were used.

Detailed

Includes all of Concise, plus more specific information, such as the beginning and ending location of a brush stroke, preference changes, filter settings, path locations, and much more.

My personal preference is using the Concise option in the Metadata, as it gives me the ability to see which filters were used and keeps this information with each file. The Text File option creates a large text file showing Sessions Only, Concise, or Detailed information for all images in a single file. Naturally, choosing Both saves the options both in the Metadata and as a text file. As an example, for someone who wants to know how much time was spent on each image, the Sessions Only with Text File option will give you a detailed list in one text file.

Tip: At the bottom of the General dialog box is an option to Reset All Warning Dialogs. By selecting this button, any warning notices you might have disabled by selecting "Don't show again" in any of the user interface dialogs will be enabled again.


Section 3.3. File Handling Preferences

3.3. File Handling Preferences

In the File Handling Preferences dialog box, you'll make decisions about how you want Photoshop to save your images: with or without previews, how the extensions should be displayed, and how to handle some compatibility issues.

3.3.1. File Saving Options

The first set of File Handling preferences concerns the saving of files. Image Previews are the image icons that you see in the list of files shown when you choose File > Open. They are also the preview images used in Bridge or any other image browser. Always Save is the default setting, and you have options to Never Save or Ask When Saving if you have a workflow where image icons are not needed.

In the Mac dialog box, there are other options, such as Full Size (for thumbnails used in DTP apps), Macintosh Thumbnail, and Windows Thumbnail (which are automatically set in the Windows dialog). Append File Extension is automatically set in Windows; however, on the Mac, file extensions are optional. If you do not use a file extension from a Mac and later transfer the file to a Windows system, the file type will not be reconized. For this reason, I recommend keeping this option on the Mac set to Always. The Use Lower Case option is handy for images that will be used on the Internet.

Tip: Preference settings are saved each time you quit Photoshop.

3.3.2. File Compatibility Options

The options in the File Compatibility area are designed for specialized workflows:

Ignore EXIF profile tag

For certain digital cameras shooting JPEGs, where improper EXIF data is transferred from the camera (or where the digital camera was manufactured prior to the EXIF standard), you can select this option to ignore transferring this data. This would be applicable when using early digital cameras from the early and mid-90s, before EXIF data became an important part of a digital camera workflow. Most digital cameras these days have the proper EXIF data profile tag to transfer, and so the default setting is unchecked.

Ask Before Saving Layered TIFF Files

You can certainly save TIFF files with layers in Photoshop and actually use a layered TIFF file in a layout program such as Adobe InDesign.

In my workflow, when I have "workup" files with layers, I will usually save them as PSD files, naming them something like coverWK.psd. This way, I can quickly and easily look in my folder and know which file has the working layers. Once I've finished the work, I then flatten the layers and save as a TIFF format to send files to the Lab or place them in InDesign. Doing this reminds me that I have workup layers in a file with only a quick glance at a folder of images.

Enable Large Document Format (.psb)

PSB is one of three formats that will save files larger than 2 GB in size. (The other formats are RAW and TIFF.) Large Document Format was introduced in Photoshop CS and is designed to allow workflows that require super-large file sizes (up to 300,000 pixels in any dimention, a file size much bigger than most hard drives).

This Large Document Format can be saved with features, such as layers, layer masks, adjustment layers, and filters. And starting in Photoshop CS2, you can also save 32-bit HDR (high dynamic range) files in the .psb format.

Tip: Images saved in the PSB format can be opened only in Photoshop CS and later versions.

Maximize PSD and PSB File Compatibility

PSD = Photoshop Document; PSB = Large Document Format. Here you have the option to never maximize, always maximize, or have Photoshop ask to maximize these formats when saving the file. Maximizing compatibility allows earlier verisions of Photoshop to open a PSD file. This adds a little weight to the file size, but it is handy when sending PSD files to a workstation or client who's using an earlier Photoshop version.

Tip: Earlier versions of Photoshop cannot handle file sizes that exceed 2 GB.

3.3.3. Version Cue

Version Cue is a feature designed for workgroups where several different individuals may be responsible for various parts of a project: images, copy, layout design, web page, and more. Version Cue allows for organizing project assets, managing and finding files, and tracking project versions. You can also use Version Cue in a single-user project in Photoshop to track changes and variations to a file as you work on it, or you can use it across various applications, including non-Adobe applications.

Select Enable Version Cue Workgroup File Management to manage these projects using Version Cue.

Tip: You can use Version Cue only with the complete Adobe Creative Suite, not with individual Adobe applications.

3.3.4. Recent File Setting

The default setting for "Recent file list contains" is 10 files. In this field, you can set how many image files you would like to have in the recent file list that appears in the File > Open Recent sub-menu.


Section 3.4. Guides and Grids

3.4. Guides and Grids

And Slices and Smart Guides, too! So, what color and format would you like your guides, grids, smart guides, and slices to be? Having the ability to select various Guides, Smart Guides, Grids, and Slice colors, along with line styles, is helpful with custom image projects.

Occasionally, you might access the "Guides, Grid & Slices" Preferences to change the Grid Guideline and Subdivision settings to match a complicated project where certain alignments need to be customized.

To use a guide in Photoshop, first show Rulers from the View menu, and then click and drag a guide from the ruler, positioning it where you need it. To change the color of your guides, in the "Guides, Grid & Slices" dialog, click once on the color square in the Guides section to bring up the Color Picker window. Or, from the Color pull-down menu, select Custom, and from there you can select your new guide or grid color.

Smart Guides (a new feature added to CS2), once selected, will automatically appear at the top, middle, bottom, and sides when aligning items from multiple layered files. Slices are used for slicing parts of an image for the Internet. The bottom section of this Preferences dialog box lets you set the slice's line color and whether you want the slice numbers to appear.


Section 3.5. Scratch Disk and Plug-ins

3.5. Scratch Disk and Plug-ins

The Plug-Ins & Scratch Disks Preferences tab allows you to set preferences for adding more working RAM and for adding additional Photoshop or even third-party plug-ins to expand your creative and processing power.

3.5.1. Scratch Disk Preferences

Some of the most important preferences when it comes to operating performance in Photoshop are those related to setting your Scratch Disks. Photoshop is such a powerful application that it is well-known as a RAM-hog; the more RAM in your computer, the better the performance of Photoshop.

Some functions in Photoshopsuch as running complicated filters, resampling files, or even rotating filesrequire RAM sometimes up to 10 times the actual file size. When your computer RAM is completely full, Photoshop converts your unused hard drive space into a scratch disk, also known as virtual RAM. In this dialog box, you can select multiple drives as First, Second, Third, and Fourth Scratch Disks. The First Scratch Disk should be the most leana disk that has the least amount of files. It's also a good idea to have a disk with no files devoted as your First Scratch Disk.

When Photoshop uses a Scratch Disk for virtual RAM, its performance will slow down. Also, a temporary file on your hard drive is created and remains active until you quit Photoshop.

Tip: Keeping your hard drive lean and clean is very important, and defragmenting your hard drives regularly is highly recommended.

3.5.2. Additional Plug-Ins Folder Setting

The Additional Plug-Ins Folder is a wonderful option, allowing you to access third-party or additional plug-ins in a folder outside of the Photoshop Plug-ins folder. You can keep those additional plug-ins in a separate folder, outside of Photoshop, so when you upgrade to the next version you won't have to reinstall all of them. Here's how to do it.

Start out by creating a new folder and naming it plug-in extras. This can be in any directory on your hard drive, but create it outside of the Photoshop folder. Now you can install your third-party plug-ins there and in some cases simply move your plug-ins into this special folder.

Select the Additional Plug-Ins Folder button in the Preferences dialog. By clicking the Choose button, you can choose a folder located in any directory on your hard drive to access these filters. This is especially helpful when you change Photoshop versions or have multiple applications that use the same plug-ins, because you won't need to multi-install or reinstall all of your third-party filters. Once you've assigned this folder, Photoshop will now automatically load these filters when it starts up.

If you have previously installed a plug-in that is dependent on an earlier Photoshop serial number, you can type in that serial number in the Legacy Photoshop Serial Number field, so your plug-in will perform seamlessly in your current version.


Section 3.6. Memory and Image Cache

3.6. Memory and Image Cache

The Memory & Image Cache Preferences tab contains two important settings when it comes to operating performance in Photoshop. Here you can assign Cache Levels and Memory Usage for your particular needs. The default settings work just fine in most cases.

3.6.1. Cache Settings

"Cache in" on faster image and histogram screen redraws. The Cache Settings default of 6 works very well for most workflows. However, if you often work with huge file sizes and have lots of RAM installed in your computer, setting this to a higher level will improve the performance of histogram and image screen redraws.

In the Histogram palette's Expanded View, you can see how the Cache Level is affected by zooming your image from 100% to fit the screen or by using other functions, such as filters or adjustment commands. By selecting the triangle (the little one with the exclamation point, located in the upper-righthand area of the Histogram palette), you'll see the Cache Level update. You might use this as a guide in your workflow: if the Cache Level ever shows 8, perhaps set your Cache Level preference to 8 or 10.

The Memory Usage setting shows the actual usable RAM available for Photoshop (e.g., 1,374 MB, as shown here). Highlight or use the slider to adjust the percentage of available RAM you want to make the "Maximum Used by Photoshop." I recommend setting this to less than 85% but no lower than 50%, so other system functions and applications have RAM access.


Section 3.7. Displays, Transparency, and Type

3.7. Displays, Transparency, and Type

Establishing how your brushes appear can aid in the control of your brush strokes when painting. Setting Transparency and Gamut colors can help you establish a custom color-coded scheme. Customizing Type preferences for various needs are also easy to establish here.

3.7.1. Displays and Cursors

The Display section of the Display & Cursors dialog starts with an option to "Color Channels in Color." Turning on this setting means the individual channels will show their respective colors in the Channels palette as opposed to displaying them in grayscale. This option might be nice to look at, but there is no advantage to selecting it. The second display option, Use Pixel Doubling, allows a faster transfer of pixels when you use the Move tool. With this preference selected, the image or selection being moved will look low-res or pixelized while moving, but when placed, the full-res image will reappear instantly.

The bottom half of this Preferences tab allows you to establish how your cursors display during your working sessions. The Painting Cursors section lets you set how your chosen brush displays:

Standard

Uses the Tool icon for a cursor.

Precise

Shows a crosshair only.

Normal Brush Tip

Shows the normal brush. If you use a soft edge (zero hardness), the brush edge will define the 50% feather part of the soft brush edge.

Full Size Brush Tip

Shows the outer edge of a soft-tip brush.

Show Crosshair in Brush Tip

Does just that, in addition to showing your other selection from the list.

Under Other Cursors, you can further set how your chosen brush will display. Precise will maintain a Crosshair, whereas Standard will show your chosen Painting Cursor.

3.7.2. Transparency and Gamut

The top section of the Transparency & Gamut dialog allows you to set the Transparency Settings. You can customize the transparency checkerboard that appears when you're working on a layer with the background layer's visibility icon unchecked or when you're working without a background layer. Select your Grid Size and Grid Colors, or create custom Grid Colors by clicking once on the square color boxes to choose your custom colors from the Color Picker.

The second part of this dialog concerns settings for the Gamut Warning feature. The Gamut Warning alerts you when you have an area in your image that may be out of printable color range. (You can choose to activate this warning by choosing View > Gamut Warning.) Use the preferences here to indicate the warning Color and Opacity that will alert you to the problem.

3.7.3. Type Preferences

The Type dialog box gives you some particularly nice options.

Use Smart Quotes will format text with proper quotation marks (curly typesetter's quotes), rather than using an inches (") symbol on both sides of your quote when you're using the Text tool in Photoshop.

"Show Font Names in English" is most helpful for those who read only English in the U.S. version of Photoshop.

Show Asian Text Options is unchecked by default. Selecting this will show options such as Set Tsume in the Character palette and will show Paragraph palette controls for Chinese, Japanese, and Korean type. You can control how font names are displayed, either in English (by selecting "Show Font Names in English") or in the native language.

For the Font Preview Size, you can select Small, Medium, or Large. When you access the font menu from the Options bar, the font previews will show these sample sizes.

RESETTING PREFERENCES

Occasionally, you may need to reset preferencesfor example, where you've established many settings in opacities, blending modes, feather amounts, and more that may be anomalous to your normal workflow. Resetting preferences will take you back to the default settings. To reset preferences, do the following: start up Photoshop and immediately hold the Option/Alt + Cmd/Ctrl + Shift keys. A message will pop up, asking if you want to delete the Settings File. Choose Yes, and the preference settings will go back to the original Photoshop default settings.


Chapter 4. Customizing Keyboard Shortcuts and Menus

Ever want to memorize every keyboard shortcut there is in Photoshop, just to make it easier to move around quickly? Now you don't have to. Photoshop lets you establish your own custom keyboard shortcuts, create colorized menu items for specific workflows, and tailor Photoshop into your own personalized, comfortable, and productive working environment!


Section 4.1. Getting Control

4.1. Getting Control

Now you can adapt Photoshop to your way of thinking. Here is your chance to take control and customize your very own set of keyboard shortcuts for tool, palette, and menu commands.

Getting to the place in Photoshop where you can control keyboard shortcuts and menus is done via (guess what) the keyboard shortcuts Shift + Alt/Opt + Cmd/Ctrl + K or M, respectively. Or you can choose one of two menu commands: select Edit > Keyboard Shortcuts/Menus or select Window > Workspace > Keyboard Shortcuts and Menus. Either way, this will bring up the control window allowing you to customize your shortcuts and menus in Photoshop.

The "Keyboard Shortcuts and Menus" window has two tabs, one for Keyboard Shortcuts and the other for Menus.

From the Keyboard Shortcuts tab, you can customize shortcuts for Application Menus, Palette Menus, and Tools. The Application Menus option allows you to customize keyboard shortcuts for items in the main menu. Select Palette Menus, and you can customize keyboard shortcuts for items in the palette menus. By selecting Tools, you can create customize keyboard shortcuts for tools in the toolbox.

From the Menus tab, you can customize a color-coded system for Application Menus and Palette Menus.

If you look through the menus in Photoshop, you'll notice a series of keyboard shortcuts that have already been assigned by default (such as Cmd/Ctrl + N to create a new file). You can change these default settings so that they provide the greatest usefulness for the way you work.

The most important menu keyboard shortcuts are the items that you actually use in your workflow, and those should be the easiest to access. For instance, the Print with Preview keyboard shortcut default is set to Opt/Alt + Cmd/Ctrl + P. Because this is such an important and usable shortcut in most workflows, one of the first things that I like to change is making this shortcut simply Cmd/Ctrl + P.

The actual menu bar directory is File > Print with Preview. So in the Keyboard Shortcuts and Menus window: 1) select Application Menus and expand the triangle next to File; 2) scroll down to the Print with Preview option; 3) in the Shortcut column, highlight the current shortcut; and 4) type in the new shortcut.

Typing in Cmd + P (for the Mac) brings up an exclamation warning [image] because the keyboard shortcut is already assigned to another function. At the bottom of the window, it states the conflict and gives you the option to "Accept and Go To Conflict." If you select this option, the conflicting Shortcut window will be selected automatically, ready for you to type in a replacement keyboard shortcut for that menu item. The other option is to leave this replacement shortcut blank if you do not use that menu item. By selecting the Accept button, the conflict will remain blank.


Section 4.2. Customizing Keyboard Shortcuts

4.2. Customizing Keyboard Shortcuts

Aside from changing existing default shortcuts, you can further customize Photoshop by creating shortcuts for commands you use often or for quickly changing preferences for a particular workflow.

One command I use often for which there is no default shortcut is the Highlight/Shadow command. But Photoshop makes it easy to add. Navigate the Keyboard Shortcuts window to Image > Adjustments, and then scroll down to Shadow/Highlight. Highlight the Shortcut column, and type in the desired shortcut. I use Shift + Cmd/Ctrl + M (replacing a conflict with Open in ImageReady) because it is similar to the shortcut for creating shadow and highlight controls using Curves (the Curves default keyboard shortcut is Cmd/Ctrl + M).

Another example of a shortcut you might want to change is when you have different Preferences settings for different types of work. For example, you might need to change preferences for Guides, Grid & Slices if you're in a workflow where being able to quickly change the Gridline and Subdivision is important. In this case, from the same Keyboard Shortcuts dialog box, you can select Photoshop > Preferences and highlight the Shortcut column next to Guides, Grids & Slices. Type in Opt/Alt + Cmd/Ctrl + R and you can include this keyboard shortcut in this workflow to quickly bring up Grid preferences.

Accessing any of these menu bar options in this manner will allow you to customize your workflow productivity in Photoshop.

You can also select "Shortcuts for: Palette Menus" to bring up the list of palette options for which you can create keyboard shortcuts. For instance, you can expand the History options and type in a handy keyboard shortcut for creating a New Snapshot. You can do this for any other palette command that is useful in your workflow.

Tip: Most of the tools from the Tools palette have preassigned keyboard shortcuts; by holding your cursor over a tool in the palette, you can reveal the assigned shortcut.

To change any of these shortcuts, select Tools from the pull-down menu, and then select the tool you would like to change by highlighting the Shortcut column. Type in the new shortcut, or even delete the current shortcut if you do not want to have a shortcut for a specific tool.

Because I never use the Slice tool, I delete its preassigned keyboard shortcut. This way, I never accidently access the tool (which can leave slice numbers on my images). On the other hand, for most of the Tools, I keep the default preassigned shortcuts, and I memorize the shortcuts for the tools I use the most.

4.2.1. Assigning Shortcuts to Function Keys

Not only can you create a variety of key combinations for shortcuts, you can also assign your function keys to any keyboard shortcut.

In this example, in Application Menus, the Edit > Fade... command is assigned to "Shift + [image] + F". To add a function key to the same command, first highlight the Shortcut column next to Fade..., then select the Add Shortcut button. This will bring up a shortcut window, allowing you to type in the function key you want to perform this function or command. Here I chose the F2 key, which is used to perform the Cut command.

Tip: If you create an Action and assign a function key to that Action, it will override the function-key shortcut that is assigned in the "Keyboard Shortcuts and Menus" window.

4.2.2. Saving Keyboard Customizations

Once you have created your keyboard shortcuts, you can save all changes to the current set or create a new set based on the current set by selecting the "save" and "create new set" icons, located next to the Set pull-down menu.

Tip: When you select one of the options, your keyboard shortcuts will be saved in the Presets > Keyboard Shortcuts folder in the Photoshop folder.

Saving your keyboard shortcuts will create a small 34 KB file that you can easily transfer or email to any other workstation or laptop computer. You then place this .kys file into the Keyboard Shortcut folder:

Mac

Applications/PhotoshopCS2/Presets/Keyboard Shortcuts

Windows

C:\Program Files\Adobe\PhotoshopCS2\Presets\Keyboard Shortcut

Then, when you open Photoshop and the "Keyboard Shortcuts and Menus" window, you can select your saved shortcuts from the Set drop-down menu to have them available on the new computer.

It is certainly possible to save several sets for individuals who have their own personalized set of keyboard shortcuts.

Explore the menu bar in Photoshop, determine the menu items that would benefit your workflow, and then access the "Keyboard Shortcut and Menus" window to create your own set of shortcuts. You'll find this to be an excellent way to improve your workflow experiences in Photoshop.

You can always restore the original shortcuts by selecting Photoshop Defaults in the Set drop-down menu.


Section 4.3. Summarizing Shortcuts

4.3. Summarizing Shortcuts

When you've created all of your keyboard shortcuts for Application Menus, Palette Menus, and Tools, Photoshop allows you to summarize your shortcuts and print out a list to share with others and to use as a reference for future upgrades.

You can make a list of all your shortcuts by simply clicking on the Summarize button at the bottom of the "Keyboard Shortcuts and Menus" dialog box. This creates an .htm file that you can save to a convenient location.

Now you have a file that you can open in any Internet browser window, showing you a complete list of your shortcuts. Actually, when you save this file, in most cases it will automatically open your default Internet browser and display this document, allowing you to print a copy and perhaps highlight the keyboard shortcuts so others can see what the current set consists of.


Section 4.4. Customizing Menus

4.4. Customizing Menus

Now you can create a custom set of menus for any type of workflow, color-coding the actual menu items and even hiding items from the menu list. This is extremely helpful when establishing a workflow for training or when learning about various types of workflows.

Take a look at the predefined default menu sets. From the menu, select Window > Workspace, and just below "Keyboard Shortcuts & Menus," you'll see a host of presaved menus from Photoshop. Select any one of these and then explore the various menus with items that pertain to these specialized areas.

For instance, select "Painting and Retouching" from this list. Now, as you look through the menu items, you'll see everything related to Painting and Retouching within the menus is highlighted with a green color (or gray). Even the fly-out menus that are related to this workflow are highlighted.

Reset the menus by selecting Window > Workspace > Reset Menus.

4.4.1. Creating a Custom Menu for a Specific Task (Scanning and Color Correction)

Next, we'll create a custom menu set that highlights commands used for scanning and color and tone corrections, while hiding certain other functions. This workspace will be used for someone new to Photoshop and digital workflows and will allow them to focus on learning specific areas rather than becoming overwhelmed with the abundant options in Photoshop. Access the custom menu control window by selecting from the main menu Edit > Menus; or select Window > Workspace > Keyboard Shortcuts and Menus, and then select the Menus tab. From here you have a choice of Application Menus and Palette Menus. Start out using the Application Menus to create your custom Menu Set.

Click on the triangle next to any menu name to expand the menu options. The three columns are Application Menu Command, Visibility, and Color. If you want to remove an item from the menu, you can click on the eye icon next to the menu command in the Visibility column; this will remove the item from the visible menu selections.

To assign a color to a menu item, click in the Color column and choose the color you want associated with it. In this example, we'll select Violet in the Color column for items in the scanning/color correction workflow.

Expand the File menu commands, and set the following items to Violet:

  • Import > Epson Perfection 3200 (or any scanner you have installed)

  • Automate >

    Automate > Crop and Straighten Photos

Make the following commands invisible by clicking the eye icon (this will cause the icon to disappear):

  • Automate > PDF Presentation

    Automate > Create Droplet

    Automate > Conditional Mode Change

    Automate > Picture Package

Expand the Image menu, and set the following to Violet:

  • Mode > 8 Bits/Channel

    Mode > 16 Bits/Channel

  • Adjustments: Levels

    Adjustments > Curves

    Adjustments > Color Balance

    Adjustments > Hue/Saturation

    Adjustments: Selective Color

    Adjustments > Photo Filter

    Adjustments > Shadow/Highlight

  • Image Size

  • Rotate Canvas > 180°

    Rotate Canvas > 90° CW

And from the Layer menu, set the following to Voilet:

  • New Adjustment Layer > Levels

    New Adjustment Layer > Curves

    New Adjustment Layer > Color Balance

    New Adjustment Layer > Brightness/Contrast

    New Adjustment Layer > Hue/Saturation

    New Adjustment Layer > Selective Color

    New Adjustment Layer > Photo Filter

  • Smart Objects > Group into New Smart Object

Under the View menu, colorize these items:

  • Proof Setup > Custom

  • Show > Grid

Tip: It is certainly possible to select a variety of colors for a set.

Once you have finished selecting your Application Menu Commands, you can select Palette Menus and create similar custom display properties. You can now click the "Save all changes to the current set of menus" button, which will save this set within the Menus Set. You can also click the "Create a new set" button, which will save your new menu colors as a .mnu file (in the Photoshop folder under Presets > Menu Customization).

Next, from the Window menu (back in Photoshop), select Window > Workspace > Save Workspace, and name your workspace. Your customized menu will be selectable from this menu.

Now look through your main menu selections and notice how your custom menus and sub-menus are showing the scanning workflow with the Violet color highlights.

From the main menu, select Image > Adjustments, and notice that at the bottom of the menu there is an option to Show All Menu Items. This is because we hid Brightness and Contrast in our set. Once you select Show All Menu Items, the color highlighting remains while that menu is open, but the hidden menu items reappear.

Creating, editing, and saving various Menu Sets is a powerful means to implement different workflows for new staff members or for those getting used to a new workflow. The default menu presets that come with Photoshop are also very powerful for learning new options and controls in any workflow.

To restore the original menus from the main menu, select Edit > Menus. Then, from the Set pull-down menu, select Photoshop Defaults to restore or reset the original menus.


Chapter 5. Working in Bridge

Workflow has become even more productive with the release of Adobe Bridge. It is possible to perform a host of processing, editing, and file-mangement functions directly in Bridge without ever opening files in Photoshop. A wide variety of commands and options, and even the ability to create presentations, are available in Adobe Bridge.


Section 5.1. Bridge Panels and Features

5.1. Bridge Panels and Features

With the release of Photoshop CS2, one of the greatest advancements was having the browser, Adobe Bridge, load as a separate application. Bridge allows you to manage images and files between all Adobe applications.

But it doesn't stop there. You can access any file application from Bridge, whether it is Microsoft Word, Extensis Portfolio, or even QuickTime.

For instance, you can view individual PDF pages right from the Bridge in the Preview panel. Once you select a PDF file, at the bottom of the Preview window panel you can page through all of its pages, open a PDF page in Photoshop, or open the PDF document in Acrobat. The same even applies to movies files, as Bridge allows you to play these from the Preview panel.

You can access Bridge from Photoshop using the Option bar's Bridge icon.

Bridge is broken down into a variety of Window Panels, containing editing and processing options that allow you to customize and manage your workflow and speed up production like never before. Of the many Bridge features, the easy navigation buttons "Go back" and "Go forward" at the top left are in place to move to previous navigated folders. The "Go up" one directory button is also here, as discussed in Chapter 1.

You can open as many Bridge windows as you like. By selecting File > New Window, the Bridge will display a new Bridge window for the current directory. You can then navigate to another file folder and have instant access to a variety of folders, with as many Bridge windows open as your workflow requires.

There are three modes in which you can view your Bridge window: Full Mode, Compact Mode, and Ultra-Compact Mode. By selecting the upper-righthand icon in the Bridge window, you can "Switch to Compact Mode"; this will create a compact view of your Bridge window, as well as make it a "Floating" window. This means that if you then access any other application, the Bridge Compact Mode window will float in front of your application. This is especially helpful when you need to quickly access files for other applications. As a matter of fact, I used the Compact and Ultra-Compact modes to write this book using Adobe InDesign. When I needed to place an image or screenshot, I expanded the Ultra-Compact mode to Compact mode, and simply dragged the image directly into the InDesign layout. This is an amazing feature of Bridge.


Section 5.2. Navigating Bridge

5.2. Navigating Bridge

Take a few minutes and learn the navigational options in Bridge. Once you become familiar with Bridge, you'll find that it is one of the most powerful workflow and file-management solutions anywhere.

At the top of the Bridge window is the Look In menu Lists. This area shows the folder hierarchy, as well as favorite and recent folders. This menu gives you a quick way to find folders that contain the items you want to work with.

The Favorites panel contains some default items, including Adobe Stock Photos, Version Cue, Collections and Bridge Center (Adobe Creative Suite only), and much more. You can drag a file or folder directly to Favorites for instant access to any directory.

Resize the window panels by placing your cursor over the edge frame. You'll see your cursor change into the grab icon; simply move the window frame up, down, left, or right to the desired size.

In the lower-lefthand corner, you'll see the show/hide panel button, which allows you to instantly hide all the panels and have just the image-viewing window showing. There's also information here about the number of items in the given folder.

Tip: You can grab any of the panel tabs and drag it to nest with other tabs, much as you might do with palettes in Photoshop. For instance, you can group the Metadata and Keywords panels together.

Bridge has five resizeable and restackable window panels: Favorites, Folders, Preview, Metadata, and Keywords. These are the primary window panels, allowing you to create a variety of workflow setups and even save Bridge workspaces (see Chapter 1).

Tip: In Mac OS X, the menu bar is located at the top of the screen. In Windows, the menu bar is at the top of the Bridge window.

Shortcut buttons in the upper-righthand corner include the options to show filtered, unfiltered, or rated items; create a new folder; rotate left or right; move items to the Trash; and switch to compact mode.

Tip: You can delete selected files or folders by clicking on the "Delete item" icon. I do not recommend selecting the option "Don't show again" when the dialog appears, as you could accidently move items to the Trash.

In the lower-righthand corner, you'll find thumbnail size controls for largest, smallest, or zoom slider, as well as buttons for the different view items: Thumbnails, Film Strip, Details, Versions, and Alternate.

The Folders panel shows the folder hierarchy. Use it to navigate to the desired folder.

The Preview panel renders a preview of a selected file, separate from and adjustably larger than the thumbnail image displayed in the light table area. You can shrink or enlarge the preview by changing the panel size with the "gripper" bar.

The Metadata panel contains metadata information for a selected file. If multiple files are selected, shared data (such as keywords, date created, and the exposure setting) is listed in the Metadata panel.

The expandable Metadata panels may display different options for different files types; they generally include File Properties, IPTC Core data, Camera EXIF data, Camera RAW, and Edit History (if the file has been processed in Photoshop and "Save Log Items to Metadata" has been set up in Photoshop's General Preferences).

File Properties include important characteristics regarding the file, such as the filename and size, dimensions, creation date, date modified, color profile, and bit depth.

IPTC Core displays editable metadata. You can add captions to files as well as customize copyright information. This IPTC (International Press Telecommunications Council) standard is updated from the older IPTC (IIM, legacy), and properties have been added and/or deleted. You can display the older IPTC metadata by selecting it from the Metadata options in Bridge Preferences.

As a matter of fact, you can actually establish sets of your own customized IPTC metadata and apply them instantly to selected images in the Bridge. You can click the pencil icons to add specific text to items.

The thumbnail area, or what I call the Light Table , allows for fast previewing of images, rating for editing, and file management. You can select a file and reposition it anywhere in the Light Table, or even move it to another folder in your Folders panel.

By holding your cursor over a thumbnail, (except in Details View), the Bridge will temporarily display specific information regarding that file. (Note that Show Tooltips must be checked in the General Preferences tab for this to happen.)

The bottom right of the Bridge window displays thumbnail view options, including Thumbnails, Filmstrip, Details, and Versions and Alternates. As discussed, you can adjust your window panels and save a custom Bridge workspace by selecting Window > Workspace > Save Workspace. Here you can also select four preset workspaces, such as Filmstrip Focus. It is fast and easy to switch between various presets or custom Bridge workspaces.

Tip: When you first access a new folder of files, at the bottom left you'll notice a turning wheel icon [image]. This icon indicates that Bridge is writing cache and metadata for this folder. When the wheel is finished, the speed of Bridge will increase dramatically.


Section 5.3. Setting Bridge Preferences

5.3. Setting Bridge Preferences

Perhaps the first thing you want to do in Bridge is establish your working preferences, much like you would in Photoshop. Here we'll review some really cool features that were unavailable until Bridge came along in CS2.

From the Bridge menu bar, access the preferences under Bridge > Preferences (Mac) or Edit > Preferences (Windows). This will bring up the Preferences dialog box. Here you can establish a variety of preference settings for your workflow.

5.3.1. General Preferences

First, select General. In the Thumbnails section, you can set the background color using the slider. When checked, Show Tooltips will display tips and other information when your cursor is hovering over a tool, thumbnail, and so on.

"Additional Lines of Thumbnail Metadata" is an awesome feature that allows you to show file information along with the thumbnail in the Light Table. Select Show, and in the pull-down menu, select the metadata that you want to appear with the thumbnails.

Select the Favorite Items that you want to appear in the Favorites Panel. "Reveal Scripts in Finder" opens the folder that contains scripts, and Reset All Warning Dialogs resets warning notices in Bridge to their default settings.

5.3.2. Metadata Preferences

First, select an image or images from the Bridge, and then access the Metadata Preference in the menu File > File Info. This brings up the Metadata preference dialog box, where you can select IPTC Contact, IPTC Content, IPTC Image, and IPTC Status. You can type in a host of information, such as your name and contact information, that you can save by selecting Save Metadata Template from the sub-menu. You can also add metadata from the Description, Categories, Adobe Stock Photos, and Origin sections. Name your template, and then select Save and OK.

Back in Bridge, when you select an image or images, you can then view the Metadata panel's sub-menu, select Append Metadata, and then select your saved template. All of your IPTC data will instantly become a part of your file's metadata. You can also append the metadata from the Bridge menu (Tools > Append Metadata). Here's a look at some of the data you can append:

Camera Data (Exif)

Displays information assigned by digital cameras. EXIF information includes the camera settings, such as the exposure, ISO speed rating, lens and focal length, camera make and model, and even the camera's serial number.

GPS

Displays navigational information from a global positioning system (GPS), available with some digital cameras. Images without GPS information will not display this info in the Metadata tab.

Camera Raw

Shows settings applied to the RAW file from Adobe Camera Raw's processing options.

Edit History

In Photoshop, by selecting Photoshop's General Preferences, you can establish a History log that is saved in the metadata of your file (see Chapter 3 for specific information). Once you have established the options for this preference, the window in the Metadata tab will display a log of the work you've created in Photoshop.

Adobe Stock Photos

This data appears in the Metadata tab when you highlight a downloaded stock image thumbnail. It lists information about images obtained from Adobe Stock Photos.

Version Cue

Lists any Version Cue version information about the file.

The Keywords panel allows you to organize your images by assigning keywords to them. You can create your own custom keywords and keyword sets by selecting the icons at the bottom of the Keyword window. You can also select an existing keyword or set and delete it. Select an image or images and then click in the box next to a keyword or keywords to assign a keyword to the file(s).

Select the Metadata option and check or uncheck the metadata types that you want to appear in the Metadata Panel. The Hide Empty Fields checkbox helps to minimize the size of the Metadata Panel by not displaying fields for unchecked items.

5.3.3. Label Preferences

One very helpful feature in Bridge is the ability to assign color labels. In the Labels Preferences, you can highlight the name field and type in a specific label for your workflow needs.

The option "Require the Command Key to Apply Labels and Ratings" (Mac; Control Key for Windows) allows you to use the Command or Control key plus the numbers 69 to assign a color label to selected thumbnails in Bridge. You can also assign a label from Bridge's Label menu.

5.3.4. File Type Associations

This section allows you to select a file type and assign an application to open that file type from Bridge. Default settings generally work the best, but if you have a specific file type that you want to open with a different application, you can establish that here.

5.3.5. Advanced Preferences

In the Advanced window, you can limit the maximum file size and establish the number of recently visited folders shown in the Look In pop-up menu. You can set the option to double-click to edit Camera Raw settings in Bridge, and you can change the language used.

Cache is a very important section of the Advanced window. The cache stores thumbnail, metadata, and file information, which, once written, allows Bridge to display the information instantly as you return to a "cached" folder in your workflow.

There are two options for storing the cache: "Use a Centralized Cache File" and "Use Distributed Cache Files When Possible." Centralized Cache File will store the cache for all of your directories or folders in a central location that you can choose. The only real problem with this option occurs when you back up and archive your various folders. The cache for those folders is then lost and will have to be rewritten once you revisit an archived folder.

Use Distributed Cache is an excellent option that saves cache files within the folder. It makes two normally invisible files visible, so as you back up and archive your folders, the Bridge cache is preserved along with the folder of images.

5.3.6. Adobe Stock Photo Preferences

An extremely powerful feature of Adobe Bridge is its ability to access the Internet, and one major feature of this is Adobe Stock Photos. You can establish preferences for using Adobe Stock Photos in its Preferences window. Stock photos are especially helpful when creating layouts for ads or brochures; stock images and graphics royalties can be purchased right from Bridge. There are scripts you can download that allow other web favorites, such as the powerful PhotoshopNews.

Tip: See "Accessing Adobe Camera Raw from Bridge," later in this chapter, for information about setting Camera Raw preferences from Bridge.


Section 5.4. XMP Sidecar Files

5.4. XMP Sidecar Files

Adobe's Extensible Metadata Platform (XMP) file is also known as a "sidecar" file. It holds a host of metadata information about a file, such as the author, file resolution, color space, copyright information, keywords, adjustments created in Camera Raw, and much more.

The image file itself stores most of this important information, but in cases where this isn't possible, such as when copying the image and pasting it in another image or file, the XMP file stores this data so it isn't lost.

XMP files are invisible in Bridge unless you select the menu option View > Show Hidden Files. However, if you view your actual folder directory from the Finder or hard drive, you will see the XMP files and Adobe Bridge cache files that are normally invisible in Bridge.

Tip: When you move by dragging-and-dropping or copying an image file from Bridge to another folder in the Folders panel, the XMP file will automatically go with the moved or copied file.


Section 5.5. Workflow Automations and Actions

5.5. Workflow Automations and Actions

You can batch rename, batch process, and select many working options for Photoshop directly from Bridge. These workflow automations and actions let you speed up file management and processing.

With an image or images selected, from the Bridge menu, you can automate an entire spectrum of options in Bridge, Photoshop, Illustrator, or InDesign. In the Tools menu, options include a powerful batch renaming function, Version Cue controls, and a fantastic array of Photoshop Services, including the ability to create calendars from JPEG files directly from Bridge. Here you'll find optional scripts that you can download from the Internet, such as Dr. Brown's Services, Tranberry-Willmore Tools, and more. You also have direct access to tools in Photoshop, Illustrator, and InDesign, as well as the ability to manage your Cache settings for folders and files, and easily replace or append metadata to your files.

With the Batch Rename command, you can "Rename in same folder," "Move to other folder," or "Copy to other folder." In the New Filenames area, you can add text to or remove text from filenaming conventions using the various options shown, including sequence numbering (which will start with the number you type in the Sequence Number field). Use the plus-sign button to add additional naming conventions.

Tip: Prior to selecting the Batch Rename function, you can use the menu option View > Sort > By Date Created or other options to ensure the proper naming sequence for your workflow.

Under Photoshop Services, you can order prints, books, calendars, and greeting cards, and even share photos from selected JPEG files directly from Bridge. This feature accesses the Internet, allowing you to automatically upload and place orders for these features.

Because Adobe Bridge is an independent application, you can select images and then assign Photoshop to perform certain tasks directly from Bridge: use the menu Tools > Photoshop and select the Photoshop function you need. This includes batch processing a Photoshop action, creating contact sheets, using the powerful built-in Image Processor, using the Merge to HDR (High Dynamic Range) 32-bit image-processing options, creating panoramas using Photomerge, and using Picture Package and Web Photo Gallery. By selecting any of these options, you'll be transferred to Photoshop to complete the action.

By selecting an image or images from Bridge and accessing the Image Processor, you can save any file formatincluding RAW filesas JPEGs, PSDs, or TIFFs all at the same time. You can even resize images for the Internet. Select the "Resize to Fit" option, type in the longest dimension you want, and the Image Processor automatically resizes images to the longest dimension, horizontal or vertical, as you've indicated. You can select a Photoshop Action, type in Copyright Info (this will become part of the Metadata), and Include ICC Profiles for color management, and the Image Processor will keep the current profile embedded in any files you batch (except if you choose to convert the profile to sRGB when saving as JPEGs).

Cache management is key in using Adobe Bridge. In a general workflow, one of the first things you do is transfer your RAW files to your primary workstation or external hard drive. At this point, depending on how many images or folders are involved, an excellent way to manage the cache for these folders is to select the top directory or first folder, and then from the menu Tools > Cache, select "Build Cache for Subfolders." Depending on how many images are in these folders, the event of building the cache could take a little time. Go ahead and select this option, and work on another project or enjoy a cup of coffee while this option builds the cache for these folders. Once it's finished, editing, processing, and managing metadata will be as fast as your computer's processor will allow.

From here you can also purge the cache in the folder or from the central cache location. This can help your performance in Photoshop when working with large or multiple files.

If you use the Centralized Cache File option (see "Setting Bridge Preferences," earlier in this chapter), you can use the Export Cache feature when you burn a CD or DVD, so the cache will also reside on the CD or DVD.


Section 5.6. Rating and Labeling

5.6. Rating and Labeling

Get to your winning images quickly with the Rating and Labeling features from Bridge. You can use a combination of star ratings and color labeling to quickly identify various aspects of your workflow.

You can rate images using one to five stars and, additionally, you have one of five color-coded labels you can assign. You can assign stars and color labels in Bridge by selecting an image or images and then using either a keyboard shortcut or the Label menu. You can also assign stars to images while viewing the images in slide show mode or by clicking the mouse in the star area of the thumbnail in the Bridge light table.

In the Label menu, you can see the keyboard shortcuts for adding stars and labels: Command key (Mac) or Control key (Windows), plus the numbers 09.

By accessing the Bridge Preferences as mentioned in "Setting Bridge Preferences," earlier in this chapter, you can name the color labels to suit your particular workflow.

From the upper-righthand corner in the Bridge window, you can select the Unfiltered button and then select which rated files you want to show in the Bridge window.


Section 5.7. Using the Slide Show in Bridge

5.7. Using the Slide Show in Bridge

Creating a slide show in Bridge is an effective way to not only create a nice presentation of images instantly, but also to edit sessions by rating images with stars and color codes.

First, select all the images you want to view in Bridge. Start the Slide Show from the menu View > Slide Show, or use the keyboard shortcut Cmd/Ctrl + L.

The first time you use the Slide Show, the command window will be visible. Typing the letter "h" will hide or show the Command window. Three areas to become familiar with in the Command window are General, Navigation, and Editing.

By using the right and left arrow keys, you can navigate through your images. Typing the letter "d" will toggle the display mode between Centered, Scale to Fit, and Fill Screen. Use the number keys 15 to give a star rating, and the numbers 69 to add a color code. You can also type a period to increase the number of stars and a comma to decrease star ratings.

The Slide Show is an extremely effective way to edit sessions, as you can rate your images initially and then, in Bridge, select "Show rated items only" from the Unfiltered icon's drop-down list.

Then, select all rated items and use the Slide Show to apply additional ratings, such as the color codes, or to change star ratings. You'll find this editing process fast and easy to use.


Section 5.8. Accessing Camera Raw from Bridge

5.8. Accessing Camera Raw from Bridge

Adobe Camera Raw (ACR), one of the most powerful RAW image processors, is accessible from both Bridge and Photoshop. As a matter of fact, you can open ACR from Bridge or in Photoshop, freeing up one or the other application for further processing or multitasking.

To open ACR from Bridge, select the menu File > Open in Camera Raw, or use the keyboard shortcut Cmd/Ctrl + R. This will open your Raw file(s) in Adobe Camera Raw in Bridge, freeing up Photoshop.

To open ACR from Bridge in Photoshop, select the menu File > Open, or use the keyboard shortcut Cmd/Ctrl + O. This will open your RAW file(s) in Camera Raw in Photoshop, freeing up the Bridge application.

Another option is to use the Bridge menu File > Open With and select a different application that you have installed to open the image.

From the Bridge (Mac) or Edit (Windows) menu, you can access Camera Raw Preferences and set important optionssuch as "Save image settings in," which allows settings to be stored in either the Camera Raw database or Sidecar .xmp files. Other options are "Apply sharpening to" (All images or Preview images only), the settings for the maximum size of the cache, and the Purge Cache option.

Adobe Bridge has made digital workflows much more productive, offering quick access for editing, file management, and processing.


Chapter 6. Tapping into the Tools

What is your favorite tool in Photoshop? Most will say, without reservation, the Clone Stamp tool. Yes, it's a very powerful tool indeed, but the Clone Stamp tool can also be the most dangerous if it's not used properly. Let's take a look at some powerful tools in Photoshop, what they do, and how you can establish options for a more productive workflow.


Section 6.1. Tips for Tools

6.1. Tips for Tools

Every single tool in Photoshop implements a particular function for creating or modifying images. Which tool becomes a key tool in your workflow totally depends on what you find you use the most. Getting a grip on the options available will really help your workflow.

The key to really getting the most out of any tool is understanding its options, which are located in the Options bar across the top of Photoshop's interface and below the menu bar. In learning how to use various tools and how to take advantage of the tool options, become familiar with the Options bar controls and options for each tool.

There is no wrong or right way to use any tool, just the way you find it most useful. However, by learning various tool options, you can take full advantage of what a particular tool can offer.

Becoming familiar right off the bat with all of the options and contextual menus (which change as you select different tools) isn't as important as learning what you want the tool to do.

For instance, sometimes a challenging assignment to create something quite different from what you've done before may surface. As you approach this challenge, first remember that Photoshop can do almost anything you can imagine. At that point, take on the challenge to learn how to use a tool or function in a way that is new to you. In this chapter, we'll look at how to get the most out of these tools.

6.1.1. Use Short Keys

In Chapters 2 and 4, we discussed important tool presets and keyboard shortcuts. Virtually every tool in the Tools palette has a keyboard shortcut, or what I call short key. Holding the Shift key while typing the short key will toggle through the partner tools; for example, typing the letter "m" will access the Marquee tool, and holding down the Shift key while typing the "m" key again lets you select the next Marquee tool nested in the set.

By default, the Single Row and Column Marquee tools do not have a short key; however, you can add one by editing your Keyboard Shortcuts, as described in Chapter 4.

6.1.2. Know the Options Options

The Options bar usually contains the key to the tools that will help you create a solution. As an example, the options for the Magic Wand include New Selection, Add Selection, Subtract Selection, and Intersect with Selection. You can choose a Tolerance (pixel) range, or the Anti-alias, Contiguous, and Sample All Layers options. When Anti-alias is unchecked, the Magic Wand will create a clean, stair-stepped edge. When Anti-alias is checked, it will create a dithered, or soft, edge. This example shows where leaving Anti-alias unchecked can result in a cleaner edge. After making the selection, I chose Layer > New > Layer via Cut from the main menu, reduced the opacity, and then merged back to the original layer. If I had used Anti-alias with this technique, it would have resulted in a halo edge on the sleeve.

You can move the Options bar anywhere in your work area by selecting the gripper bar, located on the extreme left of the Options bar. You can float the Options bar or redock it to the top or even the bottom of the screen.

Tip: There are some "universal" guidelines for using keyboard short keys. For instance, the Shift key is the universal "add" key for any selection tool. Once you create a selection with, say, the Lasso tool, holding down the Shift key will allow you to add to your current selection. The Option (Mac) and Alt keys (Windows) are the universal "subtract" keys.

6.1.3. Use the Contextual Menu

Right-click the mouse (or Control-click on a Mac) to see the contextual menu interface for a given tool, selection, or palette. You can also access contextual menus from the Options bar.

Tip: For your reference, throughout this chapter I've included the picture of a mouse with an image to indicate that it's the contextual menu for the tool being discussed.

With tools that use opacity, exposure, strength, or flow, placing your cursor over the option's name will turn your cursor into the Scrubby slider, allowing you to move left or right to change the percentage. Also, holding down the Command key (Mac) or Control key (Windows) and placing your cursor over the value window will change your cursor to the Scrubby.

6.1.4. Turn on Tool Tips

Tool tips appear when you position your cursor over a tool in the Tools palette. From the Info palette 's sub-menu, choose Palette Options and check both Current Tool and Show Tool Hints. At the bottom of the Info palette, your selected tool name and its hints will appear.

Hold your cursor over any tool, and the tool tip will show up briefly, displaying the name of the tool and the assigned "short key" (keyboard shortcut). Memorize the short key for your key tools one at a time, and you'll find this will increase your productivity in Photoshop, allowing you to concentrate on the objective at hand rather than the tool you're using.

6.1.5. Zoom on the Go

You can have any tool selected and, with the exception of the Text tool, you can use keyboard shortcuts to zoom in and out of your image; if zoomed in, you can navigate to other image sectors quickly. Hold down the spacebar and your cursor will turn into the Mr. Hand tool [image], allowing you to click and drag your cursor to another sector or part of the image. Using these keyboard commands will allow you to zoom in and out of your image.

To zoom in on a specific area of your image while holding the Zoom In keyboard shortcuts described above, click and drag your mouse around the area you want to zoom. Once you let go of the mouse button, the area of the image will fill the window.

6.1.6. Know the Nested Partner Tools

Click and hold your mouse on a tool that has a small triangle at the bottom right of a tool palette icon [image], and this will reveal the nested partner tools. Hold the Shift key and type the tool's letter to toggle the nested tools. (Not all tools have nested partners.)

The illustration on the right shows all 17 groups of nested (or hidden) partners available. In total, there are 64 tools in the Tools palette (including Forward and Background Colors, Quick Mask, Screen Mode, and Switch to Image Ready).


Section 6.2. Selection Tools

6.2. Selection Tools

One of Photoshop's greatest attributes is its ability to create masks. Selection tools do just that, create masksfrom a simple rectangular active selection to a more complicated Pen tool selection.

Once you have an active selection, you have masked a part of your image, and any modifications you then create will affect only the selected, active selection. Learning to select specific areas or subjects, or even creating objects with selectable techniques, will take you to an entirely new level of production in Photoshop.

The basic selection tools in Photoshop include the Marquee, Lasso, and Magic Wand. These tools can be used in conjunction with each other, and a variety of controls are available in the Options bar for Aspect Ratios, edge feathering, Anti-Aliasing, and much more.

Any selection you create with these tools can then be modified from the Select menu. From here you have options for Inversing, Modifying, Feathering, Transforming, or Saving the selection.

When you choose Save Selection (Select > Save Selection...), by default your selection will become an Alpha Channel located in the Channels palette, allowing you to use the Alpha Channel as a loadable selection or a clipping mask. You can make modifications to the Alpha channel mask using brush tools, or apply adjustments such as Curves or Level commands.

Similarly, by using the "Edit in Quick Mask Mode" button (short key is "q") [image] near the bottom of the Tools palette, you can create a rubylith (red color) temporary mask, allowing you to modify the selection with brush tools and adjustment commands. Once you have made your modifications, select the "Edit in Standard Mode" icon (to the left of the Quick Mask Mode button) [image] to reactivate your selection.

Tip: Quick Mask Mode does not save the selection as an Alpha Channel. Save Selection from the Select Menu will save an Alpha Channel (as PSD, TIFF, or EPS) that will remain with the saved file.

6.2.1. Marquee Selection Tools

The Rectangular and Elliptical Marquee tools [image] create active selections. The options for both are the same, with the exception of the Anti-Alias feature, which becomes available with the Elliptical tool and allows you to control the edge softness. In almost all cases, I prefer not to use the Feather feature from the Options bar, because once you have a feather amount in the Options bar, it becomes "sticky"i.e., applies the same feather each time you use the tool. I find it more productive to feather from the main menu with Select > Feather.

Here is an example of an edge with Anti-Alias checked for the left side of the image and unchecked on the right. The Anti-Alias option is available with a variety of other tools and commands in Photoshop.

6.2.2. Lasso Tools

The Lasso and Polygonal Lasso tool [image] options are the same, whereas the Magnetic Lasso options offer controls for constraining pixel width, Edge Contrast, Frequency, and tablet pressure. These work best with contrasty images (Magnetic) or straight-line selections (Polygonal).

The Lasso is a freestyle selection tool that allows you to select an area or object freely.

When using the Lasso Tool, holding down the Option key (Mac) or Alt key (Windows) and dragging turns the tool into the Polygonal Lasso tool, allowing you to move your mouse to a new sector of the image and have Photoshop automatically move into a new sector when your cursor reaches the edge of your image frame.

6.2.3. Magic Wand Tool

The Magic Wand tool [image] creates a rather crude selection by choosing all the pixels with values within a certain threshold. The Tolerance option defines a tonal range with values between 0 and 255. If you click on a tone that is a value of 100 and the Tolerance is set at 32, then 16 values of tone above and below 100 will be selected in a given (selected) color hue. The Magic Wand is most helpful in creating selections of chrominance and luminance (color and tone) data.

The Shift key (universal add key) allows you to select additional areas within the image, but if you uncheck the Contiguous (or connected) option, one click of the Magic Wand will sample the entire image, selecting all pixels in the tolerance range of tone and color. When you have multiple layers and want to select all from layers, use the Sample All Layers option.

6.2.4. Working with Selections

When you select either the Marquee, Lasso, or Magic Wand and have an active selection in your image, as you move your cursor over the active selection, it will change into the Move Selection icon [image]. You can then click and drag your selection to a new area in your image. (This does not move pixels, only the active selection.)

To cut out an active selection, hold the Command key (Mac) or Control key (Windows) while your cursor is in the active selection, and you'll see the scissors icon [image]. Now you can move the selected pixels to a new location. However, be careful when you use this option, as it will not position the selected pixels on a new layer, but instead will drop them on the current layer.

Chances are you'll find the Move tool [image] to be one of the more active tools you'll use. With this tool you can reposition pixels on a layer, move one image to another, or even assemble a series of layers with alignment and spacing options (select all layers before using the alignment icons).

Tip: Using Smart Guides from the main menu (View > Show > Smart Guides) is a most helpful feature when aligning items, as it will show you alignment guides for top, bottom, and middle alignments.

When you have multiple layers and want to select a specific layer quickly, you can use the Auto Select Layer option, located in the Options bar when using the Move tool. When you click on an item, you will automatically go to its layer. If you don't use this option in the Options bar, you can hold the Cmd/Ctrl key to temporarily put your Move tool in Auto Select Layer mode.

6.2.5. The Slice Tool

The Slice tool [image] is used to carve a larger image into separate files for the Web. From the main menu, choose File > Save for Web. You can assign slices and save them with separate options and formats, such as GIF or JPEG. This is useful for items such as web banners and navigation bars for web page design.

Tip: If you select the Slice tool but don't use it, you may find a "Slice Number" in the corner of your image. To remove this slice number, go to View > Show, and select or uncheck Slices.

6.2.6. The Crop Tool

Cropping images with the Crop tool [image] gives you some very interesting options. From here you can control the exact size of the crop and even resample the image resolution.

Select the Crop tool, and click and drag your mouse to the desired cropping. By default, Photoshop will show a color shield, this helps in having a visual of the crop. You can change the color of the shield by clicking on the color icon in the Options bar, and you can change the Shield opacity using the opacity slider once you start to use the Crop tool. To process the crop, press the Return or Enter key, click on the checkmark in the Options bar, or right-click (or Ctrl-click) for the contextual menu and select Crop or Cancel. To escape from a crop, type the Escape key, and you will return to the original, uncropped image.

Once you have your crop size selected (by clicking and dragging the Crop tool), in the Options bar you can type in the width and height in pixels, inches, or even centimeters. Type in the size you want your image to be, but leave the Resolution option blank. This way, you won't change the pixel resolution of your current image. If you type in a Resolution and use the Crop tool, your image will be cropped to the size you've indicated and the pixels in the image will be resampled.

The method of resampling pixels is based on how you've established your Image Interpolation method in Edit > General Preferences (for example, Bicubic Sharper).

In the Options bar, clicking the Front Image button will fill in the current image width, height, and resolution in the windows so you can match another crop to the same exact size and resolution. Select Clear to remove any settings in these windows.

6.2.6.1. Rotating and shifting perspective

More advanced features with the Crop tool include the ability to rotate and even change the perspective. Once you have your crop selection, move your cursor outside of the bounding box, and your cursor will turn into the rotate icon. Click and drag your mouse to rotate the crop.

Once you have your original crop window in place, the Options bar changes, allowing you to select the Perspective button; then, by grabbing a corner handle, you can move the crop box into a perspective angle. Use this to correct the perspective of a building or object.

Tip: Correcting perspectives can also be achieved using the Lens Correction filter from the main menu Filter > Distort > Lens Correction. Also, with a selection or layer you can use the Edit > Transform > Warp features.

Saving Crop tool presets is another powerful workflow feature. Once you have your Options bar width, height, and resolution set, you can save this as a preset using the New Tool Presets option. So, when you need to quickly switch to a 4 x 5 or 16 x 20 crop box, just select your saved Crop tool preset from the Options bar.


Section 6.3. Painting Tools

6.3. Painting Tools

Actually, that would be Painting, Retouching, and a host of creative enhancement opportunities with any tool that uses a brushincluding rebuilds and restorations. This section also will touch on other palettes, such as the Brush, Color, Swatches, and Tool Preset palettes.

6.3.1. Brush Technique

The keys to painting tools are the brush controls from the Brushes palette: how soft or hard the brush edge is, along with other properties such as brush size, angle, and color mix. Learning how to control your brush using opacity, brush edge, size, and brush selection is essential. You can actually create your own brush from any image or graphic creation, and there are custom brushes available for purchase, along with Photoshop presets brushes that are ready to be loaded from the Brushes palette. You can read more about the many brush dynamics and options in Chapter 2 of this book.

Become one with your mouse; that is a kind of mind-set or approach one learns when using brushes for painting and retouching. The brush becomes an extension of yourself, your art, and your craft as you use Photoshop for brushstroke enhancements. And with that in mind, using a Wacom tablet and setting the Pen Pressure options in the Brushes palette will give you even better control over your brush. Applying more pressure with a tablet pen allows you to control opacities, brush size, and angles. Frankly, I would be frustrated without it.

6.3.2. The Healing Tools

The Healing and Patch Brush tools [image] are among the most productive tools in Photoshop. They're easy to use and provide a quick way to apply a host of retouching and enhancements beautifully.

There are two Healing brushes: the Healing Brush and Spot Healing Brush tools. Both of these tools perform similar tasks; however, the Healing Brush tool samples pixels from a specific source or location (which you select with an Opt/Alt + click, just like using the Clone Stamp Tool) and applies the source to the destination that you paint to. If you use the Healing Brush tool without selecting the source first, you will see a reminder to do this first.

To use the Healing Brush tool, select your source, and then choose a New Layer from the Layers palette (make sure to select Sample All Layers in the Options bar) or paint directly on the Background layer. The Healing Brush tool will blend texture, color, and tone in the area you want to retouch. Using the Normal or Blend mode and Sampled as the Source in the Options bar, paint over the area that you want to repair. The Healing Brush will blend the source pixels with the destination pixels with respect to texture, color, and tone. You can further blend the area by using Edit > Fade Healing Brush to lower the opacity; or, if using a Layer, you can simply lower the opacity of that layer.

The Spot Healing Brush [image] does not require a selected source. As a matter of fact, when using the Spot Healing Brush tool, the angle of brush stroke, and the direction, size, and edge of the brush will determine the source of sampled pixels. Because of this, have Cmd/Ctrl+Z handy as you create your brush strokes because your stroke may sample pixels that you don't want. A little practice will ensure better control, such as with reducing skin shine or glare as shown. Control- or right-click to bring up the Contextual menu and quickly change brush properties such as the size, edge hardness, and even the shape.

With the Spot Healing Brush tool, select a brush size that is similar to the size of your spot, select your edge softness, and then create a brush stroke over the area you want to repair or replace pixels with. A simple spot, freckle, or face blemish will instantly blend away. In the Options bar, select the Sample All Layers option if you're working on a blank layer.

In this example, the objective is to reduce the glare or shine of the specular highlight on the forehead. Using the Spot Healing Brush, first select the shine area, and then position your cursor inside the active selection. Next, click and drag this selection to an area of the skin tone that you want to blend with, let go of the mouse, and then, from the Edit menu, select Fade Spot Healing Brush and set the Opacity to 25%.

The Patch tool [image] does just that: it can patch blotches, spots, telephone lines, cracks, and much more. Use the Patch tool as you would the Lasso tool by creating a selection around the area you want to patch or an area you want to distribute to other areas in an image (use Source or Destination in the Options bar, respectively). Position your cursor inside the active selection, and move the selection to the area you want to patch. Let go of the mouse, and you'll see the texture, color, and tone blend together much like the Healing tools. This example shows the removal of a stray hair from her neck.

Tip: You can use any tool to create your Patch tool selections.

Once you have an active selection and have selected the Patch tool, in the Options bar you can select a pattern and then click Use Pattern. The example here shows a selected texture with the Transparent option checked on.

Tip: Unlike the Healing tools, the Patch and Red Eye tools cannot work on a blank layer, but can work on any layer with pixels.

Red eye is caused by the light source being very close to the lens when you create flash images, and it's a common problem with consumer cameras that have a built-in flash. The aptly named Red Eye tool is the best solution for removing this problem. Click and drag the Red Eye tool [image] around an eye and watch the red eye disappear. Or, simply click once on the red eye. The Options bar allows you to set the percent for Pupil Size and Darken Amount. I find the default settings of 50% work perfectly well with most images.

Tip: You can establish your painting cursors in Photoshop from the main Menu by selecting Edit > Preferences > Display & Cursors (or from Photoshop > Preferences on the Mac). The Precise setting shows a crosshair, Normal Brush Tip shows your brush size, and Full Size Brush Tip shows the extended brush size when using a soft edge (no hardness). Using the Caps Lock key will turn your cursor into a crosshair cursor with any of these options. More on this in Chapter 3.

This nest of tools also includes the famous Brush tool [image], the Pencil Tool, and the Color Replacement Tool. There isn't much difference between the Brush and Pencil tool, except that the Pencil tool can use only bitmapped or hard-edge brushes'; no soft or feathered edge options are available for the Pencil tool.

Each these tools paints with the Foreground color in the Tools palette. If you hold down the Opt/Alt key, your cursor will temporarily turn into the Eyedropper tool [image], allowing you to click anywhere on any open image to access a color to paint with. The Mode drop-down menu from the Options bar for the Brush and Pencil tools include most of the possible blending modes. The blend mode Behind will paint behind an object residing on a Layer, and Clear will actually erase pixels on a layer. Normal, Darken, Lighten, and Color modes are the most commonly used modes.

The Color Replacement tool is designed to replace colors using the Foreground or Background color, allowing you to control the Tolerance range, edges, and blend Mode from the Options bar controls. When you use this tool, it will replace what ever color you're painting on with the Foreground (or Background) color.

6.3.3. The Stamp Tools

Ahhh, the Clone Stamp tool [image], perhaps the most dangerous tool in Photoshop. When I say that, I mean that if not used properly, it can cause what Jane Ziser refers to as "The Cloning Blues" (she also sings a song about this). The tool creates a repetitive pattern that you don't see until you've printed the image.

In all seriousness, though, the Clone Stamp tool has forever been everyone's favorite tool, and in the earliest versions of Photoshop, it was certainly the most impressive tool.

Hold the Opt/Alt key and click to set a source for the Clone Stamp tool to paint from, and then go to your destination and start painting (or cloning) away. This will clone the exact pixels to the painted area.

In this example, I've enhanced Brandi's eyes by using the Clone Stamp tool in the Lighten painting mode at medium Opacity to minimize the blood vessels, and the Colorpainting mode with medium Opacity to blend the whites of the eye. Also, because the source for cloning in this small area is indeed small, unchecking the Aligned option in the Options bar allows for applying multiple brush strokes quickly from the original source.

Tip: You can also clone from one image to another image.

The Pattern Stamp tool works directly from any pattern or texture you select from the Options bar, allowing you to paint in texture blends for creative enhancements and creations. A good way to explore the tool is with the Impressionist option. There is no need to Option- or Alt-click to source the Pattern Stamp tool.

6.3.4. Back to the Future Tools

The History Brush [image] works in conjunction with the History palette, allowing you to create History States or Snapshots and then source a Snapshot or any part of the History list to paint from (see Chapter 2). Full coverage of what I call the BTF (Back to Future) techniques, which are designed for using the History Brush and palette, is beyond the focus of this book. For now, to use the History Brush, you must first set a History source in the History palette; if you do not set a source, by default Photoshop is designed to paint from the original history state, which is the image when it was first opened. However, if you make any resolution or canvas changes, or rotate the image before using the History Brush, you will see an error message.

In this example, after the Photo Filter and Filter Gallery were used, by selecting the original image and sourcing Snapshot 1 for the History Brush, I was able to paint in certain properties from the History state.

The History Brush can give you so many options for image enhancements and a lot of creative latitude. Take an image and sharpen it, create a History Snapshot and set the snapshot as the History Brush source, undo the sharpening, and then paint in the sharpened image to areas such as the eyes.

Tip: The Art History Brush is certainly a wild kind of brush, but fun to work with. With a little practice you can invent some very cool effects and creative enhancements.

6.3.5. The Eraser Tool

The Eraser tool [image] is one of the most underrated tools in Photoshop. In truth, almost everyone will find this tool useful for asserting a variety of control. Its nested partners include the Background Eraser tool and the Magic Eraser tool. The Options bar contains the key to taking advantage of these tools.

The illustration shows how these eraser tools work on an image:

Magic Eraser tool

If used on a Background Layer, it will automatically convert to a Layer, and the Magic Eraser will remove pixels, leaving the area transparent.

Eraser tool

If used on a Background Layer, it will replace the pixels with the background color, and if used on a Layer that is not locked (the default), it will simply erase the pixels on that layer, leaving a transparency.

Background Eraser

If used on a Background Layer, it will automatically convert the Background Layer to Layer 0 and clear the pixels according to how the commands in the Options bar are set.

With the Eraser tool, there is the option to "Erase to History," which works exactly like the History Brush and paints from a selected History state. The Magic Eraser Tolerance option is similar to the Magic Wand tool, as it selects a color and tone and then erases within the set tolerance range. The Protect Foreground Color option with the Background Eraser avoids removing the exact color that is in the Foreground in the Tools palette.

6.3.6. The Gradient and Paint Bucket

The Gradient tool [image] works with both the Foreground and Background colors from the Tools palette, as well as with a host of presets. Click on the Gradient bar in the Options bar to bring up the Gradient Editor, or click on the triangle attached to the bar to bring up the gradient presets. The first three presets are important to understand to get the most uses of this tool. The first preset uses the Tool palette's Foreground to Background colors. The second preset uses Foreground to Transparency and is most helpful in creating gradient blends. The third preset is pure black and white. Beyond that are a host of multicolor presets, and you can load additional presets or even create your own.

Select your foreground and background colors, and then click and drag your mouse to create a gradient. From the point where you first click to the point where you let go of the mouse is where the gradient will transform from one color to the next. The area before the first click will be the full Foreground color, and the area beyond the point where you let go will gradually fill with the full Background color. The illustrations here show a gradient from 1 to 2 inches and another from 1 to 5 inches.

Tip: If you hold the Shift key down when using the Gradient tool, your movement will be constrained to a vertical line, a horizontal line, or a 45-degree angle; otherwise, you have freeform direction when using this tool.

To use a gradient in an exisiting image, create a blank layer and default your foreground and background colors by typing the letter "d". You now have black in the foreground and white in the background. Next, type the letter "f" to switch to Full Screen Mode (you may need to zoom out); this gives you the ability to start your gradient outside of the canvas frame. From the preset window, choose the second preset (Foreground to Transparent). A few inches above or below your canvas, click to start the gradient, and then let go an inch or so inside the canvas. This will create a smooth tone gradient.

While Linear is the default mode, from the Options bar, you can select other gradient options, including Radial, Angle, Reflected, and Diamond. Try each of these to become familiar with how they affect the gradient.

Tip: The contextual menu for the Gradient tool brings up the preset gradient collection.

Bring up the Gradient Editor by clicking on the Gradient bar in the Options bar. You can load additional presets from Photoshop's folder under Presets > Gradients. You may also want to select Append when loading these so your current gradients will remain.

The bottom part of the Gradient Editor is where you can create your own gradients. Look at the long gradient bar and notice the little square-with-triangle icons. The Opacity Stops are on top, and the Color Stops are on the bottom.

Position your cursor anywhere just below the gradient bar, and click your mouse to set a new Color Stop. This will insert whatever foreground color is in your Tools palette. Next, double-click on the new Color Stop; this will bring up the Color Picker. Select a new color and choose OK. You can then position your new Color Stop by moving it or by typing in the location anywhere along the gradient bar to control the gradient transition amount. Place as many new Color Stops as you want using this method.

Double-click on any preset Color Stop to change its color.

Once you have created your custom gradient, type in a name and click on the New button. Your custom gradient will now be in your preset family. Select the Save button to save your current set of presets.

The Paint Bucket tool [image], which is nested with the Gradient tool, contains options that allow you to use the Tools palette's Foreground color or even a Pattern to fill an area or selection. The fill options are comprehensive and are also available on the fly from the contextual menu (Control- or right-click).

Tolerance allows you to select a larger or smaller amount of effective tonal range and can be set between 0 and 255 (as with any Tolerance setting in Photoshop). The Anti-alias, Contiguous, and All Layers options make the Paint Bucket tool an excellent choice for quickly filling in a color or pattern.

Hold the Option key (Mac) or Alt key (Windows) while using the Paint Bucket tool, and your cursor temporarily turns into the Eyedropper tool, allowing you to select a color from any open image. This places the color in the foreground [image].

The illustration shows setting Color as the fill mode and Tolerance at 100 in the Options Bar. Clicking in the JOE'S letters fills them with the foreground color. Because of the Color blend mode, the detail from the neon tubes remains and only color is added to the current pixels.

Tip: If one click does not fill your area, click once again or set a higher Tolerance range. If too much fills, reduce your Tolerance range in the Options bar.

6.3.7. The Burn and Dodge Tools

The Burn [image] and Dodge tools allow you to darken or lighten tonal ranges in the primary Shadow, Midtone, or Highlight regions of your image. Exposure control (similar to opacity) on the Options bar is most important to use along with your brush size and brush edge hardness, in order to obtain smooth results. In cases where these tools cause the color to change, by converting your image mode to the Lab Color mode (as described in Chapter 2), you can select the Lightness Channel and burn or dodge your tonal range without adding color saturations.

The Sponge tool allows you to control the saturation of an area using either the Saturate or Desaturate mode from the Options bar. Using the Saturate mode, you can paint over lips to saturate and enrich the color

With all of these tools, careful use of the Exposure or Flow settings in the Options bar will ensure blending control. It's usually better to be more conservative than not with these controls. The illustration shows three areas, each using one of these tools. The Sponge tool was set to Saturate, while the Burn and Dodge tools changed the tone at a low Exposure setting.

6.3.8. Blur, Smudge, and Sharpen

The Blur, Sharpen, and Smudge tools [image] are actually among the more advanced tools in Photoshop, generally used to refine edges or small areas.

With a pixelized edge, you can use the Blur or Smudge tool to soften the pixels. In this respect, these two tools can perform a similar task, as shown in the illustration. However, the Smudge tool can smudge and rearrange pixels, whereas the Blur tool will only blur pixels.

The Smudge tool can be used for some very creative effects and control. But it can be rather RAM-intensive if used in a large area or if you use a large brush size, and it can take a little time to process. Experiment using the Smudge tool on a blank layer by setting Sample All Layers in the Options bar, as well as setting various blend modes to affect only the darker, lighter, color, or luminance regions independently.

Tip: Another advanced use would be having a Pen tool path created around the edge of your subject and then using the Path Stroke option (see Chapter 2) to apply any of these tools to the Path edge.

All of the controls in the Options bar are the same for each tool, except for the Smudge tool, which offers a Finger Painting option. This setting adds or mixes the foreground color from the Tools palette at the beginning of a brush stroke.

The Sharpen tool is unique in that it actually causes some extreme contrast between pixels. This tool should be used with care, as it can oversharpen areas and cause a healthy amount of pixel noise very quickly. Used conservatively, it can enhance edges, especially around eyes or any areas that could use a slight amount of contrast or sharpness.


Section 6.4. Graphics Tools

6.4. Graphics Tools

A vector image consists of mathematical calulations between points; a bitmapped image consists of pixels that have properties such as bit depth, brightness levels, and color data. The Graphics tools in Photoshop allow you to combine vector controls with bitmapped images.

There are two types of images generated on a computer: bitmap (pixels) and vector based. Photoshop is a bitmap program, as it works with pixels. A program such as Adobe Illustrator is a vector-based image program. However, in Photoshop there are vector-based tools. Both programs (Photoshop and Illustrator) can work with both bitmapped and vector based data.

When printing a file with vector data, a PostScript printing device will separate the bitmap and vector data. Vector graphics are resolution-independent and can be scaled to any size without losing detail, whereas a bitmap image is resolution-dependent and can pixelize when printed beyond its resolution parameters.

A Pen tool path (vector) in a Photoshop file can be set to work as a Clipping Path. When placed into a layout program such as InDesign, this Clipping Path can be assigned to clear the background of an object in your image in the layout. (Alpha channels may also be set for clipping in InDesign.)

Although type doesn't fit our conventional idea of graphics, the Type tool uses fonts that have vector data, allowing you to change font size with no pixelization.

6.4.1. The Type Tools

There are also two types of fonts, bitmap and vector based (also known as Postscript). Most of the fonts used today are indeed vector based, and incorporate vector resolution advantages. Vector type can be assigned to a shape or path, or even rasterized into pixels.

The Type tool [image] partners include the Horizontal and Vertical Type tools, which create type on an image, along with the Horizontal and Vertical Type Mask tools, which create an active selection.

The Options bar contains a comprehensive and masterful range of type options and controls.

Using either Type Mask tool, the first thing you'll notice is your image turns rubylith mask red. Start typing your text, and you can see through the type area. Holding down the Cmd/Ctrl key, place your cursor inside the bounding box of the text, and drag to reposition it. Grab a bounding box corner and resize, or move your cursor outside of the bounding box and rotate the text. When you're satisfied with the placement, press the Enter key or click on the checkmark icon [image] in the Options bar to process. This will give you an active selection of your text. This is no longer vector data, but you now have an active selection to use for masking purposes.

Select the Type tool, select your font, size, and justification (left, centered, right) in the Options bar, click on your image, and start typing. Your text is automatically positioned on a new layer. Once you've finished creatingthe text, press the Enter key or click on the checkmark in the Options bar to process or commit the text. To cancel the text, you can press the Escape key or use the Cancel icon [image] in the Options bar.

Initially, the Type tool will work with your foreground color from the Tools palette, but you can easily change your text color by first selecting the text layer with the Type tool (or highlighting your text) and then clicking on the Color Picker icon in the Options bar to change the current color. Reposition, transform, and rotate your text as explained on the previous page.

You can also create a Pen tool path and then select the Type tool. Position the tool just over the path, and the I-Beam icon will change into the "Text on a Path" icon [image]. Click on the path and type in your text. Using the Direct Selection tool, you can then reposition the points of the path to change its shape if desired. Once you have created your text, highlight it with the Type tool, and in the Options bar highlight the font name. Now you can use your up and down arrow keys to toggle through various fonts in your system and see the changes to your image instantly.

Tip: Before you highlight the font name, from the main menu, select View > Extras to hide the highlight itself.

The Check Spelling and "Find and Replace Text" features are located in the contextual menu (right-click or Control-click) or from the Edit menu.

Most fonts today are vector-based fonts that allow you to change the resolution or up- or downsample your file with no loss of quality. From a type layer, you can "Create a Work Path" or "Convert to Shape," which are also vector based. Rasterizing Type will convert the vector data into pixels. Once you have Rasterized type and changed resolution, your text can exhibit stair stepping or pixelized edges if resampled. Rasterized type is no longer editable. These options are also available from the main menu (Layer > Rasterize or Layer > Type).

Tip: If you have text in a file that must be Rasterized, be sure to set the text to the size at which it will be printed first. This will ensure excellent-looking type in print at the proper resolution.

Have some fun creating warped text using the Create Warped Text feature, located in the Options bar. First, select the type layer, and then click on the Warped Text icon and toggle through the drop-down list of many options and distortion controls. (Paragraph palette controls are discussed in Chapter 2.)


Section 6.5. Vector Tools

6.5. Vector Tools

Vector shapes and Pen tool paths give you many options for graphic design, illustration, and masking workflows. With so many options, take things one step at a time to become familiar with these important tools.

6.5.1. Vector Shapes, Vector Paths, and Vector Mask

Select any Vector tool, and the Options bar becomes something on the order of a "flight control central." The first thing you might notice is that all of the Vector tools are in the Options bar in addition to the Tools palette. Contextual and fly-out menus may change with each tool. The now-familiar Tool Preset controls and icon (far left of the Options bar) could become a gold mine with these tools (see Chapter 2).

Next to the Tool Preset icon are three buttons that determine whether your tool will create a Shape Layer, Path, or Fill Pixels (a rasterized or non-vector shape). The Options bar offers different controls for each tool mode. Shape Layers is the default tool mode setting. When using any vector tool in this mode, a new layer with a vector mask is created automatically. Selecting the Paths button creates a vector Work Path located in the Paths Palette. Fill Pixels creates a non-vector shape on your current layer. Each of these tool modes initially will use the foreground color from the Tools palette.

Tip: To change the default tool mode with a vector tool, choose the tool mode button you prefer in the Options bar, and then quit Photoshop. The next time you open Photoshop and use a vector tool, this mode will be the default.

Tool selections in the Options bar include these primary tools: the Pen tools, the Shape and Line tools, and the Custom Shape tool. Each tool has tool-specific Geometry options, accessible from the triangle next to the Custom Shape button. These allow you to control various aspects such as constrainment, defining sizes, arrowheads, smoothing corners, and, my favorite, Rubber Band (which is an option when using the Pen tool).

Path area options determine how overlapping path components intersect and change with each tool mode. Create, Add, Subtract, Intersect, and Exclude Overlapping controls are available with Shape Layers mode, while the Path mode options are Add, Subtract, Intersect, and Exclude Overlapping.

Fill Pixels mode reverts to the familiar blending modes and opacity controls with anti-alias options.

Tip: To change the color of a Shape Layer, select the Color Picker button in the Options bar or double-click on the color thumbnail in the Layer's palette to bring up the Color Picker.

6.5.2. The Shape Tools

The Shape tools [image] allow you to create a variety of shapes. Select one of the Shape tools, and then click and drag your mouse to form the shape as small or as large as you like. When using the Shape Layer [image], a layer will automatically be created in the Layers palette, along with a Vector mask. Using the Polygon tool with the Geometry option set to Star and Sides in the Options bar set to 5, you can create a star of any size and angle you need. In the Options bar, you can set as many points as you like.

In the Layers palette, click once on the Vector Mask to see the vector path. Then, select the Direct Selection tool from the Tools palette and click on the path in your image to see the vector Anchor Points. You can now move any anchor point to a new location to refine your shape. Using the Path Selection tool, you can move your entire item to a new location, just as if you were using the Move tool.

Tip: With the Direct Selection tool, when your path has a curve point rather than a corner point, you can also adjust the two handles (known as Direction Points) located at the end of the Anchor Point's Direction Line. Move these to adjust the slope of the path.

Using Layer Styles gives you an endless array of creative-enhancement styles on any Shape Layer. If you change the resolution of your file, from the menu bar select Layer > Layer Style > Scale Effects to adjust your Layer Style size.

Select the Custom Shape tool, and click on the Shape icon in the Options bar to bring up the Custom Shape palette. Besides the initial set of predefined custom shapes, the opportunities for vector shapes are virtually endless with Photoshop's hundreds of preset vector shapes ready for you to load from the window's fly-out menu. You can also download thousands from the Internet and, for those who are creatively proficient with Illustrator or the Pen tool in Photoshop, you can create your own Custom Shapes and save them to the Custom Shape palette (from the Main Menu, select Edit > Define Custom Shape).

Similarly, you can load preset styles, and from the Styles palette, you can drag a style to any layer to apply it.

Any Custom Shape created as a Shape Layer can be reshaped with the Direct Selection tool, as described on the previous page.

6.5.3. The Powerful Pen Tool

As I mentioned earlier, perhaps the most powerful tool in Photoshop is the Pen tool [image]. It's powerful because of its ability to create such an exact vector path. The Pen tool is also perhaps one of the most difficult tools to master because it (seemingly) has a mind of its own. Even if you're proficient with the Pen tool in Illustrator, you'll find Photoshop's Pen tool mannerisms to be just a bit different.

On the other hand, the Pen tool does only one thing: it sets Anchor Points. Each time you click the mouse, you set an Anchor Point or, more specifically, a "corner" Anchor Point. Inside each Anchor Point there are two handles (Direction Points) that appear when you click and drag your mouse (when creating a "curve" Anchor Point) at the ends of the Direction Line.

A simple click will position a "corner" Anchor Point, while clicking and dragging the mouse will set a "curve" Anchor Point. As you drag your mouse, creating a curve anchor point, you will drag out the leader handle (Direction Points), and the trailing handle will go in the opposite direction.

Looking at the nested tools, there are actually only two tools, the Pen tool and the Freeform Pen Tool. The other options, Add Anchor Point and Delete Anchor Point, allow you to add or subtract Anchor Points once you have a path. The Convert Point tool allows you to convert a corner point to a curve point and vice versa, and also allows you to create an independent Direction Line.

Among the keyboard shortcuts for the Pen tool, the biggie is holding down Cmd/Ctrl while you work, as this will temporarily convert the Pen tool into the Direct Selection tool, allowing you to adjust any Anchor Point or Handle on the fly. You can access the Convert Point tool by holding down the Opt/Alt key.

Tip: You will not see the Convert tool icon until you have positioned your cursor over an Anchor Point or Handle.

Using the Convert tool, click once to convert a curve anchor point to a corner point. If you have a corner point, click and drag your mouse to bring out the handles (and then press the Cmd/Ctrl key to access the Direct Selection tool). Position the leading or trailing handle to shape the path. The Direction Line has a seesaw effect, whereby moving one handle on the Direction Line will move the other handle in the exact opposite direction. You can use the Convert tool to break this seesaw effect and then have two independent Direction Lines.

The Add or Delete tools need no keyboard shortcut. To add a point, position your cursor over any part of a path where there is no point. You'll see the Add Anchor Point icon; simply click to add. To subtract, position your cursor over an anchor point (you'll then see the Subtract Anchor Point icon), click the mouse, and, poof, it's gone. The key is watching the icon symbols when you're using keyboard shortcuts or adding or deleting anchor points with no keyboard shortcut.

When selecting the Pen tool to start a new path, do a "preflight." A preflight is simply checking the Options bar and selecting the tool mode and component. In (most) every case, the Paths tool mode should be selected; otherwise, when you create the path using the Shape Layer option, it can be difficult to see the location to set points because the foreground color is occupying the path space. If you start with the Shape Layer tool mode and want to change, you'll have to delete the Shape Layer from the Layers palette and start over using the Paths tool mode from the Options bar.

Set your path components for "Add to Path area," "Subtract from Path area," "Intersect path area," and "Exclude Overlapping path area." You can actually reassign a component to a path once you have a path. For instance, when creating the inner part of the A and B, shown at right, once you create the path, highlight that part of the path by clicking anywhere on the path with the Direct Selection tool, and then click on the "Subtract from Path" area component to reassign it.

A brilliant Pen tool teaching technique that I have adapted from Joe Glyda is what Joe calls the ABCs of the Pen tool. First, type in "ABC" using a thick font, and then use the Pen tool to create the letter "A" using nothing but Corner Anchor Points. Be sure to assign the subtract component for the inside part. Create the letter "B" using both Corner and Curve Anchor Points, once again assigning the subtract component for the inside of the letter. Finally, create the letter "C" using mostly Curve Anchor Points. Look in the Paths palette to see how your path is responding to your components.

In most cases, your first Anchor Point of a path should be a corner point. If your path will be used to create a selection, you must "close the path." Once you have created the path around your subject, position your cursor over the first Anchor Point, and you will see the Close Path icon [image]. Click once, and your path is closed.

As you discovered in Chapter 2, the Paths palette is where you manage your paths. Here you can save and assign paths as Clipping Paths (a mask to remove the backgound). When you start to create a path, the path is named Work Path in the Paths palette. It is important to save this path as soon as possible to avoid accidently losing it later. To save the path, double-click on the name Work Path in the Paths palette, and name the path or simply select OK. You now have a saved path. Note that saving a path does not save your file.

To assign a path as a Clipping Path, from the palette's sub-menu select Clipping Path. In the Clipping Path pull-down, select the path's name. Leave the Flatness blank, as a PostScript output device will apply its default setting automatically. Once a path has been assigned as a Clipping Path, the path name will have an open-face font quality. Assigning a path as a clipping path allows programs such as InDesign to clear the background of the object in the layout.

In general, the fewer anchor points the better. This allows for a smoother mask and also will process faster when sending vector data to a PostScript printer. Notice the points around the ABCs in the illustrations, and practice placing the anchor points in similar areas.

When you're creating a path along the edge of an object, zoom in to a 200%, 400%, or even 500% zoom ratio so you can position the path inside the pixel line. By doing this, if you use the path as a Clipping Path or move the object to another layer of image, you will have a nice clean edge opposed to a "cut out" look.

You can adjust any Anchor point or handle at any time once you highlight the path by clicking on it first with the Direct Selection tool. Notice the Anchor Point is white (or clear depending on the image behind); by clicking once on the Anchor Point, it turns black (or white). You can now reposition the Anchor Point, or you can use your up, down, left, or right arrow keys to move the anchor point one pixel at a time, or add the Shift key to move 10 pixels at a time. Using the Path Selection tool will move the entire path. A black Anchor Point or Handle is the active Point or Handle.

Tip: Remember, to change the shape of a path, use the Direct Selection tool to reposition Anchor Points or handles (hold the Cmd/Ctrl key to access the Direct Selection tool).

There is a rhythm you'll develop when you're using the Pen tool on a large project: Click, Drag, and Adjust. Click the mouse, drag out the handles, hold the Command or Control key to access the Direct Selection tool, and adjust the shape of the path. As you become more familiar with the Pen tool, you'll find that sometimes you can click, drag, and adjust the initial drag of the leader handle to properly shape the path.

You can create a selection with any selection tool, and once you have an active selection, you can use the Make Work Path command from the Paths palette's fly-out menu. Use the Tolerance default setting of 2.0 for smoothness. Now you have a path, and you can adjust the anchor points and handles.

You can save as many paths in the Paths palette as you like. As discussed in Chapter 2, from the palette's sub-menu you can fill this path or Stroke the path using a wonderful assortment of painting tool brushes. At the bottom of the Paths Palette are also controls to Fill, Stroke, Make Selection, Make Work Path from selection, create New Path and Delete your current path. Note that the create new path options will save the path even before you start to place Anchor Points.

The Freeform Pen tool works like the Lasso tool, allowing you to quickly select an area, but yielding an instant vector path. The Geometry options allow you to use the Freeform Pen tool, similar to the Magnetic Lasso tool. This allows you to move your cursor slowly around the edge of an object, causing the Freeform Pen tool (with Magnetic selected in the Options bar) to set a path close to the edge. Now you can stoke the path or even refine it to fit more exactly.


Section 6.6. Methodical Tools

6.6. Methodical Tools

This section of tools offers vital information, controls, computations, and specific data while working in Photoshop, from the ability to establish annotations to measuring angles, directions, lengths, and pixel information.

For instance, the Eyedropper tool will show you the vital signs of your image regarding color and tonal values. Once you're familiar with this information, you can use it to mandate excellent color and detail for printing or the Internet.

Setting note or audio annotations can come in handy for communicating techniques, instructions, or even top-secret memorandums that attach to your image file.

The Mr. Hand and Mr. Zoom tools are the ever-present tools, and even though they are in the Tools palette, they are always accessible using the keyboard shortcuts we've discussed so far, regardless of which tool you have selected.

As with any tool in Photoshop, the Options bar gives you important information to control these tools in your workflow.

6.6.1. Tools for Exchanging Notes

With the Note tool [image] and Audio Annotation tool, you can create instructions and exchange information with anyone who has Adobe Acrobat or Photoshop. Select the tool, click once anywhere on your image, select the font size, color, and Author in the Options bar, and type away or click Start to record sound. The note and audio icons and windows are moveable within the image, and the note window is resizeable; however, it will not show if you print the image (same with the Audio icon).

Note or Audio Annotations can be saved in PSD, Large Document Format, Photoshop PDF, and TIFF formats. If you save in Photoshop PDF format, you can use Encryption settings for security and can reply back and forth using and saving the image fromAcrobat. When you record an audio annotation, you must have a microphone plugged into the audio-in port of your computer (some computers have built-in microphones and speakers).

To open a Note [image] or Audio Annotation [image], simply double-click on the appropriate icon to open the text window and view or edit the contents, or play the sound (you must have a sound card installed with speakers to hear the audio file). You can also add audio annotations to actions and set them to play when the action is performed.

To remove a single note or audio annotation, click once on the icon and press the Delete key. To remove all annotations, select the Clear All button in the Options bar.

6.6.2. Measuring Color and Angles

The most methodical tools are indeed the Eyedropper, Color Sampler [image], and Measure tools. When using these tools, the Info palette displays specific and important information.

With the Eyedropper tool (or any tool for that matter), when your cursor is over your image, the Info palette displays color and tone values depending on how you've set up the palette's preferences.

The Color Sampler tool allows you to click and set a target point, which locks this information in the Info palette as it expands the palette. You can set up to four sample points. Position your cursor over an area in your image, and click the mouse to set a target point. Right-click to see the contextual menu.

These tools are extremely helpful when you need to remove a color cast or want to control a specific color or printable tonal range. Not only can you see this information, but you can also see the precise location of your XY coordinates of your cursor, kind of like a pixel GPS system. Palette options allow you to see a host of other information regarding the file (see Chapter 2).

In the Options bar, be sure to select "5 by 5 Average" rather than "3 by 3 Average" or Point Sample. This allows the Color Sampler and Eyedropper tools to read a more accurate rendition of a continuous tone image, as opposed to a single pixel reading.

Tip: Image values range from 0 to 255 in an 8-bit file. The Info palette will display these values for each channel of color, such as in an RGB image.

The Measure tool helps you position images or items or even rotate images precisely. It calculates the distance between any two points in your image or canvas, which allows you to make precise alignments or create precise gaps between items. Click and drag your mouse to measure from one point to another; a nonprinting line will appear, and if you create a second measure, the previous one will disappear.

The Options bar and Info palette display the information measured, such as the X- and Y-coordinates, the horizontal (W) and vertical (H) distances traveled from the x- and y-axes, the angle measured relative to the axis (A), the total distance traveled (D1), and the two distances traveled (D1 and D2 when you use a protractor).

How you have your Units & Rulers preferences set will determine how measurements are displayed in the Options bar and Info palette. Holding down the Shift key will constrain the Measure tool to a horizontal, vertical, or 45-degree angle.

To create a protractor from an existing measuring line, Opt/Alt + drag at an angle from one end of the measuring line. Measure the angle of a horizon line of an image that is tilted, and then from the Menu Bar select Image > Rotate Canvas > Arbitrary. The measured angle will be displayed automatically; just click OK and your image tilt will be precisely corrected. Use the Crop tool to refine the image.

6.6.3. Mr. Zoom and Mr. Hand

At last, we've arrived at those useful navigation tools we've been discussing all along. Amazingly enough, the Options bar once again has key settings to help you get the most of the Zoom and Hand tools [image]. Click on the Actual Pixels button, and the image will automatically zoom to the 100% ratio. Select Fit Screen to make your image fit your screen while still showing any open palettes. The Print Size option can be a little misleading and is dependent on your monitor resolution. Using the option Scroll All Windows (Hand tool) or Zoom All Windows (Zoom tool) can come in handy when you have multiple files open.

The Hand tool allows you to navigate easily to various parts of your image when the image is zoomed in beyond its borders. With any tool selected (except the Type tool), you can hold down the spacebar and your current tool will temporarily turn into the Hand tool, allowing you to navigate.

When you select the Zoom tool, you'll automatically be set to zoom in by simply clicking on your image. If you hold down the Opt/Alt key, you will see the Zoom Out icon; click to zoom out. With any tool selected, you can zoom in and out of your image by holding the spacebar + Cmd/Ctrl key and clicking with your mouse to zoom in (use spacebar + Cmd/Ctrl + Opt/Apt + click to zoom out). You can also zoom in and out by holding the Cmd/Ctrl key and using the plus or minus keys.

Double-clicking on the Hand tool in the Tools palette will fit your image on the screen, while double-clicking on the Zoom tool will bring your image to the 100% zoom ratio (actual pixels).


About the Author

About the Author

Eddie Tapp is an award-winning photographer, lecturer, consultant, and author on digital imaging issues who has over 20 years of experience in computer technology. Eddie has shared his knowledge with a worldwide audience through a series of instructional videos (available from Software Cinema) addressing topics such as professional enhancement techniques, color management, and digital workflow, as well as through numerous contributions to publications such as The Professional Photographer, Photo Electronic Imaging, Infoto Magazine, Southern Exposure Magazine, and Digital Capture, among others.

Currently the Director of the Institute of Visual Arts in Maui, Hawaii, Eddie served for six years as the Chairman of the Committee on Digital and Advanced Imaging for the Professional Photographers of America (PPA), where he holds the Master of Photography, Master of Electronic Imaging, and Photographic Craftsman degrees, is an Approved Photographic Instructor, and is a Certified Professional Photographer. He also is the Commercial Council representative to the PPA for the Georgia PPA. Eddie serves on Adobe's Photoshop beta team and on the National Association of Photoshop Professionals' Photoshop Dream Team. Photoshop Workflow Setups is the first in the "Eddie Tapp on Digital Photography" series from O'Reilly Media.

Eddie has been nominated to the Photoshop Hall of Fame.


Colophon

Colophon

The cover image is an original photograph by Eddie Tapp. The cover fonts are Helvetica and Berthold Akzidenz Grotesk. The text and heading font is Myriad Pro; the Note font is Swister.


Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Z]


SYMBOL

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Z]

32-bit image
8-bit file to a 16-bit/channel file


A

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Z]

Acrobat
Actions palette 2nd 3rd
Default Actions
Delete 2nd
Droplet
loading actions
New Action
New Action Set
Play Action
Play Action icon
Playback Options
Record Action
Stop Recording
Add Selection (Magic Wand)
Add tool
Additional Lines of Thumbnail Metadata
Additional Plug-Ins Folder
Adjustment Layer 2nd
Adobe Bridge
Adobe Stock Photos
Alternate view
As Details view
Automatically Launch Bridge
Batch Rename command
Bridge menu bar
cache files
Collections and Bridge Center
Compact Mode
configuring for efficient workflow
Details view
duplicating current Bridge window
Favorites
Favorites panel
Filmstrip view 2nd
Folders panel 2nd 3rd
Full Mode
Keywords panel 2nd
Metadata panel 2nd 3rd
navigating
panels and features
Preview panel 2nd 3rd
primary window panels
RAW files
Reset All Warning Dialogs
Resizing window panels
setting preferences
shortcut buttons
Slide Show
status bar
Switch to Compact Mode view
Switch to Ultra-Compact Mode view
Thumbnail size controls
Thumbnails view 2nd
Ultra-Compact Mode
Version Cue
Versions and Alternates view
Versions view
view icons
view items
viewing individual PDF pages
Adobe Camera Raw (ACR)
Adobe Creative Suite
Adobe Stock Photos 2nd 3rd
Adobe Bridge
Metadata preference dialog box
preferences
Advanced Blending Mode
advanced preferences
Allow Non-Linear History
Alpha channel 2nd 3rd
loading
Alternate view
Always Save setting
Anchor points, adjusting
angles, measuring
Animation palette 2nd
Anti-alias (Magic Wand)
Append File Extension
Application Menus
color-coded system
Arrange menu
Cascade command
Match Location command
Match Zoom command
Tile Horizontally or Tile Vertically command
As Details view 2nd
Asian Text Options
Ask Before Saving Layered TIFF Files
Audio Annotation tool
Auto Select Layer option
Auto-Update Open Documents
Automatically Create First Snapshot
Automatically Create New Snapshot When Saving
Automatically Launch Bridge
automations and actions
adding profiles
Cache management
creating calendars from JPEG files
creating panoramas using Photomerge
Image Processor
Merge to HDR
Photoshop Services
Picture Package
Web Photo Gallery


B

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Z]

background color
Background Eraser
basic
Save Workspace command
saving specific types of projects
Batch command
Batch Rename command
Beep When Done
Bevel
Bicubic
Bicubic Sharper
Bicubic Smoother
Bilinear
Blur tool
Bridge menu bar
brush techniques
Brush tool 2nd
Brush, foreground and background color
Brushes palette 2nd 3rd 4th
Brush Presets
Brush Tip Shape 2nd
customizing brushes
deleting brushes
Expanded View option
expanding
New Brush Preset
Shape Dynamics
Stroke Thumbnail view
Build Cache for Subfolders
Burn tool


C

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Z]

Cache management
Build Cache for Subfolders
Cache preferences
Use a Centralized Cache File
Use Distributed Cache Files When Possible
Cache settings
Camera Data (EXIF) 2nd
Camera Raw
Adobe Camera Raw (ACR)
Cascade command
Categories option
Centralized Cache File option
channels
Alpha channel 2nd
loading
Show Channels in Color
Split Channels
Channels palette 2nd 3rd
image modes
Lab Color mode
Lightness Channel
Multichannel Mode
Character palette 2nd
OpenType
Warp Text
Check Spelling
Clipping Path
assigning path as
Clone Stamp tool 2nd 3rd
CMYK Color, Channels palette
CMYK Mode
CMYK Working Space
CMYK, Color palette
Collections and Bridge Center, Adobe Bridge
Color and Tonal corrections projects
Color Libraries
color management
Color palette 2nd 3rd
CMYK
Grayscale
HSB (Hue, Saturation, and Brightness)
Lab Color slider
Make Ramp Web Safe option
RGB
Scrubby Sliders
triangle with an exclamation point
Web Color slider
Color Picker
Color Libraries
triangle with an exclamation point
color profile
Color Replacement tool
foreground and background color
Color Sampler tool 2nd
Color Table
color, measuring
Compact Mode
Contextual Menu
Contiguous (Magic Wand)
Convert Point tool
Corner and Curve Anchor Points
Create Warped Text
creating panoramas using Photomerge
Crop tool
perspective, rotating and shifting
Current Tool Only
Curves 2nd
Custom Shape Paths
Custom Shape tool 2nd
Paths palette and
Shape Layers option


D

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Z]

Default Actions
default palettes
Delete tool
Description option
Details view
Direct Selection tool 2nd
Displays, Transparency, and Type
Display section
Painting Cursors section
Full Size Brush Tip
Normal Brush Tip
Precise
Show Crosshair
Standard
Transparency and Gamut dialog
Type dialog box
Dock to Palette Well
Docking Well
document
dimensions
profile
sizes
Dodge tool
down-sampling images
Dr. Brown's Services
Drop Shadows
Droplet
Duotone
Dynamic Color Sliders


E

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Z]

Edit History
Edit Log Items pull-down menu
Concise
Detailed
Sessions Only
efficiency, operational
Elliptical Marquee tool
Emboss
Enable Large Document Format (.psb)
Eraser tool 2nd
EXIF information
Ignore EXIF profile tag
Eyedropper tool 2nd 3rd 4th
foreground and background color


F

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Z]

Fade Healing Brush
Fade... command, assigning to function key
Favorites
Favorites panel 2nd
Feathering (Select menu)
File Compatibility options
Ask Before Saving Layered TIFF Files
Enable Large Document Format (.psb)
Ignore EXIF profile tag
Maximize PSD and PSB File Compatibility
File Handling dialog box
File Handling preferences
Append File Extension
File Compatibility options
Recent File Setting
File Info
File Navigator
File Properties, Metadata panel
file type associations
Filmstrip Focus
Filmstrip view 2nd
Find and Replace Text
Folders panel 2nd 3rd
foreground color
Freeform Pen tool 2nd
Full Mode
Full Screen mode
Full Screen with Menu Bar mode
function keys, assigning keyboard shortcuts to


G

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Z]

Gamut Warning
General (PC) command
General Preferences
Color Picker
History Log
History States
Image Interpolation option
Options area
Show Tooltips
User Interface Font Size
General tab
Glows
Glyda, Joe
GPS
Gradient Editor
Gradient tool
foreground and background color
graphics tools
Type tool
type tools
Horizontal Type Mask tool
Horizontal Type tool
Type Mask tool
Type tool
Vertical Type Mask tool
Vertical Type tool
Grayscale
Channels palette 2nd
Color palette
Grid Guideline and Subdivision settings
Guides, Grid & Slices 2nd


H

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Z]

Hand tool
HDR, Merge to HDR
Healing Brush tools
Fade Healing Brush
Red Eye tool
Spot Healing Brush 2nd
Highlight/Shadow command
Histogram palette 2nd 3rd
Curves
Expanded View 2nd
Levels
RAW files
Show Channels in Color
History Brush tool
History Log
History palette 2nd 3rd 4th
Allow Non-Linear History
Automatically Create First Snapshot
Automatically Create New Snapshot When Saving
Make Layer Visibility Changes Undoable
History States 2nd
Horizontal Type Mask tool
Horizontal Type tool
HSB (Hue, Saturation, and Brightness)


I

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Z]

ICC Profiles
Ignore EXIF profile tag
Image Interpolation method
Image Interpolation option
Image Processor
Image Processor script
Image Size dialog
Indexed Color, Channels palette 2nd
Info palette 2nd 3rd 4th 5th
Color Sampler tool
Eyedropper
Intersect with Selection (Magic Wand)
Inversing the selection (Select menu)
IPTC (International Press Telecommunications Council) standard
IPTC Core


J

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Z]

JPEGs, sRGB


K

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Z]

keyboard shortcuts
brushes
Curves
default
Fade... command
function keys
Guides, Grid & Slices
Highlight/Shadow command
navigating images
Preferences dialog box
Preferences settings
Print with Preview
saving
Shortcuts for: Palette Menus
tools
Tools palette
Keyboard Shortcuts and Menus 2nd
Summarize button
Keyboard Shortcuts... command
Keywords panel 2nd 3rd


L

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Z]

Lab Color mode
Channels palette 2nd 3rd
slider
Label menu
Labels preferences
Lasso tool 2nd
Layer Comps palette 2nd
Layer Style dialog box
Advanced Blending Mode
Bevel
Drop Shadows
Emboss
Glows
Layer Style effects
Layer Style effects
Layer Styles
Layer via Cut command
Layers palette 2nd 3rd 4th 5th
Adjustment Layer 2nd
Blending Mode pull-down menu
creating Masks automatically
Layer Style dialog box
Layer Thumbnail Size
locking options for layers
Smart Objects
Levels
Light Table 2nd
Lightbox
Lightness Channel, Channels palette


M

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Z]

Magic Eraser tool
Magic Wand tool 2nd
options
Make Layer Visibility Changes Undoable
Make Ramp Web Safe option
Make Selection... command
Marquee tool
Masking projects
Masks, creating automatically
Match Location command
Match Zoom command
Maximize PSD and PSB File Compatibility
Measure tool
Memory & Image Cache preferences
Memory Usage setting
menus
remove an item from
restoring or resetting
menus, customizing
assigning color to
colors
creating for specific task
Menus... command
Merge to HDR
Metadata Focus
Metadata panel 2nd
File Properties
Metadata preference dialog box
Adobe Stock Photos
Camera Data (Exif)
Camera Raw
Edit History
GPS
Version Cue
Metadata Tab
methodical tools
Color Sampler tool
Eyedropper tool 2nd
Hand tool
Measure tool
Note tool
Zoom tool
Modifying (Select menu)
monitor resolution
Move tool
Multichannel Mode, Channels palette
Multichannel, Channels palette


N

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Z]

Navigator palette
Dock to Palette Well
Nearest Neighbor
New Keyword icons
New Keyword Set
New Selection (Magic Wand)
Note tool


O

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Z]

Open Recent command
OpenType
Options area of General Preferences
Auto-Update Open Documents
Automatically Launch Bridge
Beep When Done
Dynamic Color Sliders
Save Palette Locations
Show Tool Tips
Zoom Resizes Windows
Zoom with Scroll Wheel
Options bar 2nd
options
Origin option


P

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Z]

Paint Bucket tool
foreground and background color
painting tools
Art History Brush
Blur tool
brush techniques
Burn and Dodge tools
Gradient tool
Healing Brush
History Brush
Paint Bucket tool
Patch tool
Sharpen tool
Smudge tool
Stamp tools
Clone Stamp tool
Pattern Stamp tool
Palette Menus 2nd
color-coded system
Palette Well
making longer
moving palettes to
palettes
default
key
moving to Palette Well
panoramas, creating panoramas using Photomerge
Paragraph palette 2nd 3rd
Patch tool 2nd
Path Selection tool
Paths palette 2nd 3rd 4th 5th
Make Work Path
Save Path option
saving Work Path
Pattern Stamp tool
PDF, viewing individual pages in Bridge
Pen tool 2nd 3rd
Corner and Curve Anchor Points
Paths palette and 2nd
setting path components
starting new path
Pencil tool
foreground and background color
perspective, rotating and shifting
Photomerge, creating panoramas using
Photoshop Actions command
Photoshop Services
Picture Package
Polygon tool
Polygonal Lasso tool
Preferences dialog box
keyboard shortcut
preferences, resetting
preferences, setting
Adobe Stock Photos
advanced preferences
Cache preferences
file type associations
Labels preferences
Metadata preferences
Preset Manager 2nd
Preview panel 2nd 3rd
profiles
projects, Save Workspace command, saving specific types of projects
PSB files
Enable Large Document Format (.psb)
Maximize PSD and PSB File Compatibility
Purge Cache option


Q

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Z]

quotes, Smart Quotes


R

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Z]

RAM
being used by all open image files
Memory Usage setting
virtual RAM
RAW files 2nd
Adobe Bridge
Adobe Camera Raw (ACR)
saving different formats
Recent File Setting
Rectangular Marquee tool
Red Eye tool
remove an item from menu
resampling algorithms
resampling pixels
Reset All Warning Dialogs
resetting menus
resolution, monitor
restoring menus
Retouching projects
RGB
Channels palette
Color palette


S

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Z]

Sample All Layers
Sample All Layers (Magic Wand)
Save Palette Locations
Save Workspace command 2nd
saving specific types of projects
Saving Selection (Select menu)
Scanning and Color Correction (custom menu)
Scratch Disks
screen view, setting
Scrubby Sliders
Select menu
Select Show
selection tools
Crop
Elliptical Marquee tool
Lasso 2nd
Magic Wand 2nd
Marquee
Polygonal Lasso
Rectangular Marquee tool
Slice
working with
Shape and Line tools
Shape Layer 2nd
Shape tools
Polygon tool
Shape Layer
Sharpen tool 2nd
Show Channels in Color
Show Tool Tips
sidecar files
Single Row and Column Marquee tools
Slice tool
slices
Slide Show
Smart Guides
Smart Objects
Smart Quotes
Smudge tool 2nd
Split Channels
Sponge tool
Spot Healing Brush 2nd
sRGB
Stamp tools
Clone Stamp tool
Pattern Stamp tool
Standard Screen Mode
status bar, reading
32-bit image
Adobe Bridge
current tool
document dimensions
document profile
document sizes
efficiency, operational
RAM being used by all open image files
time it took to complete last operation
Version Cue workgroup
Styles palette 2nd
Subtract Selection (Magic Wand)
Swatches palette 2nd
Switch to Compact Mode view
Switch to Ultra-Compact Mode view


T

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Z]

thumbnail area
Thumbnail size controls
Thumbnails view 2nd
TIFF files, layers
Tile Horizontally or Tile Vertically command
time it took to complete last operation
Tolerance (pixel) range (Magic Wand)
Tolerance setting
Tool Preset icon
Tool Presets palette 2nd 3rd
Current Tool Only
Preset Type
tools
Contextual Menu
keyboard shortcuts
Magic Wand options
nested partner
Options bar
options
Single Row and Column Marquee
turning on tool tips
zoom
Tools palette 2nd
keyboard shortcuts
Tranberry-Willmore Tools
Transforming (Select menu)
Transparency and Gamut dialog
triangle with an exclamation point
Type dialog box
Type Mask tool
Type tool 2nd
Check Spelling
Create Warped Text
Find and Replace Text
Horizontal Type Mask tool
Horizontal Type tool
Type Mask tool
Vertical Type Mask tool
Vertical Type tool


U

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Z]

Ultra-Compact Mode
Units & Rulers preferences
Units & Rules
up-sampling images
Use a Centralized Cache File
Use Distributed Cache Files When Possible
User Interface Font Size


V

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Z]

vector data
Vector Mask
vector paths
vector tools
Add tool
Convert Point tool
Custom Shape tool 2nd
default tool mode
Delete tool
Direct Selection tool 2nd
Freeform Pen tool 2nd
Path Selection tool
Pen tool
Corner and Curve Anchor Points
setting path components
starting new path
Pen tools
Shape and Line tools
Shape tools
Polygon tool
Shape Layer
vectors
Anchor Points
Version Cue
Adobe Bridge
Metadata preference dialog box
Version Cue workgroup
Versions and Alternates view
Versions view
Vertical Type Mask tool
Vertical Type tool
view icons
virtual RAM


W

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Z]

Warp Text
warped text
Web Color slider
Web Photo Gallery
workspaces
alternate
Workspaces menu
File Navigator
Filmstrip Focus
Lightbox
Metadata Focus


X

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Z]

XMP files 2nd


Z

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Z]

Zoom In
Zoom Out
Zoom Resizes Windows
Zoom tool 2nd
Zoom with Scroll Wheel